package com.persagy.dmp;

import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.persagy.dmp.config.DmpProperties;
import com.persagy.dmp.config.FeignInterceptorConfig;

/**
 * @description: 配置类
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/21 17:44
 * @version: V1.0
 **/

@Configuration
/*
 * 当classpath中出现了Jedis这个类时，才会进行相应的配置。
 * conditional 是有条件的 意思

 */
/*
 * @ConfigurationProperties注解主要用来把properties配置文件转化为bean来使用的，
 * 而@EnableConfigurationProperties注解的作用是@ConfigurationProperties注解生效。
 * 如果只配置@ConfigurationProperties注解，在IOC容器中是获取不到properties配置文件转化的bean的。
 */

@EnableConfigurationProperties({DmpProperties.class})
public class AutoConfiguration {

	@Bean
	public FeignInterceptorConfig feignInterceptorConfig() {
		return new FeignInterceptorConfig();
	}
	
}
