package com.persagy.dmp.auth;

import com.alibaba.ttl.TransmittableThreadLocal;
import com.persagy.dmp.entity.JWTUserDto;

public class AuthManager {

    private AuthManager() {
    }

    /**
     * 支持父子线程之间的数据传递
     */
    private static final ThreadLocal<JWTUserDto> CONTEXT = new TransmittableThreadLocal<JWTUserDto>();
    
    /**
     * projectId 不一定存在
     * 
     * @return
     * @date 2022年5月18日 下午7:19:15
     */
    public static JWTUserDto currentUser() {
        return CONTEXT.get();
    }

    public static void remove() {
    	CONTEXT.remove();
    }

    static void setUser(JWTUserDto authUser) {
    	CONTEXT.set(authUser);
    }

}