//package com.persagy.dmp.cache;
//
//import com.alibaba.fastjson.JSONObject;
//import com.google.common.base.Joiner;
//import com.persagy.dmp.constant.RedisConstant;
//import com.persagy.dmp.dto.MeterFuncIdDTO;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.redis.core.RedisTemplate;
//import org.springframework.stereotype.Component;
//import org.springframework.util.CollectionUtils;
//
//import java.util.ArrayList;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//import java.util.concurrent.TimeUnit;
//
///**
// * @description: 表号-功能号缓存
// * @author: xingmaojun
// * @company: Persagy Technology Co.,Ltd
// * @since: 2021/1/13 15:01
// * @version: V1.0
// **/
//@Component
//public class MeterFuncCache {
//
//    private final static Logger logger = LoggerFactory.getLogger(MeterFuncCache.class);
//
//    private static final Joiner joiner = Joiner.on(":").skipNulls();
//
//    @Autowired
//    private RedisTemplate<String, Object> redisTemplate;
//
//    //查询对象METER_FUNCID_PREFIX
//
//    public void putMeterFuncId(String groupCode, String projectId, List<MeterFuncIdDTO> meterFuncIdDTOS) {
//        if (!CollectionUtils.isEmpty(meterFuncIdDTOS)) {
//            Map<String, MeterFuncIdDTO> map = new HashMap<>();
//            for (MeterFuncIdDTO meterFuncIdDTO : meterFuncIdDTOS) {
//                String key = joiner.join(RedisConstant.METER_FUNCID_PREFIX, groupCode, projectId, meterFuncIdDTO.getObjectId(), meterFuncIdDTO.getInfoCode());
//                map.put(key, meterFuncIdDTO);
//            }
//            redisTemplate.opsForValue().multiSet(map);
//
//            Map<String, MeterFuncIdDTO> map2 = new HashMap<>();
//            for (MeterFuncIdDTO meterFuncIdDTO : meterFuncIdDTOS) {
//                String key = joiner.join(RedisConstant.METER_FUNCID_PREFIX, groupCode, projectId, meterFuncIdDTO.getMeterId(), meterFuncIdDTO.getFuncId());
//                map2.put(key, meterFuncIdDTO);
//            }
//            redisTemplate.opsForValue().multiSet(map2);
//        }
//    }
//
//    public void putMeterFuncId(String groupCode, String projectId, String objectId, String infoCode, MeterFuncIdDTO meterFuncIdDto) {
//        String key = joiner.join(RedisConstant.METER_FUNCID_PREFIX, groupCode, projectId, objectId, infoCode);
//        redisTemplate.opsForValue().set(key, meterFuncIdDto, 60, TimeUnit.MINUTES);
//
//        String key2 = joiner.join(RedisConstant.METER_FUNCID_PREFIX, groupCode, projectId, meterFuncIdDto.getMeterId(), meterFuncIdDto.getFuncId());
//        redisTemplate.opsForValue().set(key2, meterFuncIdDto, 60, TimeUnit.MINUTES);
//    }
//
//    public MeterFuncIdDTO getMeterFuncId(String groupCode, String projectId, String objectId, String infoCode) {
//        String key = joiner.join(RedisConstant.METER_FUNCID_PREFIX, groupCode, projectId, objectId, infoCode);
//        return (MeterFuncIdDTO) redisTemplate.opsForValue().get(key);
//    }
//
//    public List<MeterFuncIdDTO> getMeterFuncIdList(String groupCode, String projectId, String objectId, List<String> infoCodeList) {
//        List<MeterFuncIdDTO> meterFuncIdDtoList = new ArrayList<>();
//        if (!CollectionUtils.isEmpty(infoCodeList)) {
//            List<String> keys = new ArrayList<>();
//            for (String o : infoCodeList) {
//                String key = joiner.join(RedisConstant.METER_FUNCID_PREFIX, groupCode, projectId, objectId, o);
//                keys.add(key);
//            }
//            List<Object> list = redisTemplate.opsForValue().multiGet(keys);
//            if (!CollectionUtils.isEmpty(list)) {
//                list.forEach(o -> {
//                    if (o != null) {
//                        meterFuncIdDtoList.add(JSONObject.parseObject(o.toString()).toJavaObject(MeterFuncIdDTO.class));
//                    }
//                });
//            }
//        }
//        return meterFuncIdDtoList;
//    }
//
//    public List<MeterFuncIdDTO> getMeterFuncIdList(String groupCode, String projectId, List<String> objectIdList, String infoCode) {
//        List<MeterFuncIdDTO> meterFuncIdDtoList = new ArrayList<>();
//        if (!CollectionUtils.isEmpty(objectIdList)) {
//            List<String> keys = new ArrayList<>();
//            for (String objectId : objectIdList) {
//                String key = joiner.join(RedisConstant.METER_FUNCID_PREFIX, groupCode, projectId, objectId, infoCode);
//                keys.add(key);
//            }
//            List<Object> list = redisTemplate.opsForValue().multiGet(keys);
//            if (!CollectionUtils.isEmpty(list)) {
//                list.forEach(o -> {
//                    if (o != null) {
//                        meterFuncIdDtoList.add(JSONObject.parseObject(o.toString()).toJavaObject(MeterFuncIdDTO.class));
//                    }
//                });
//            }
//        }
//        return meterFuncIdDtoList;
//    }
//
//    public MeterFuncIdDTO queryMeterFuncId(String groupCode, String projectId, String meterId, Integer funcId) {
//        String key = joiner.join(RedisConstant.METER_FUNCID_PREFIX, groupCode, projectId, meterId, funcId);
//        Object object = redisTemplate.opsForValue().get(key);
//        if (object != null) {
//            return JSONObject.parseObject(object.toString(), MeterFuncIdDTO.class);
//        }
//        return null;
//    }
//}
