package com.persagy.dmp.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.common.DmpResult;
import com.persagy.dmp.common.url.DicUrlParam;
import com.persagy.dmp.constant.RequestUrlConstant;

/**
 * @description: 数据中台 字典 feign
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/28 11:23
 * @version: V1.0
 **/
@FeignClient(name = "dmp-dic")
public interface DicServerClient {

    /**
     * @description: 查询字典
     * @param: objectUrlParam
     * @param: relationCriteriaList
     * @return: com.persagy.dmp.config.WorldJsonResult
     * @author: xingmaojun
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/10/22 16:37
     * @version: V1.0
     */
    @PostMapping(RequestUrlConstant.DICT_QUERY)
    DmpResult<JSONArray> dataQuery(@SpringQueryMap DicUrlParam dicUrlParam, @RequestBody JSONObject criteria);


}
