package com.persagy.dmp.client;

import java.util.List;

import javax.validation.Valid;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.dto.ResponseContent;
import com.persagy.dmp.dto.logicalGrouping.LogicalGroupingDTO;
import com.persagy.dmp.dto.logicalGrouping.LogicalObjectDTO;

/**
 * 编组数据查询服务
 * @author weiyizhong
 * @version 1.0
 * @date 2021/6/23 15:58
 */
@FeignClient(name = "zkt-monitor")
public interface GroupServerClient {
    
    /**
     * 查询逻辑编组下的对象信息
     * @param logicalObjectDTO 请求参数
     * @author weiyizhong
     * @date 2021/6/23 17:02 
     * @return com.alibaba.fastjson.JSONObject
     */
    @PostMapping("/logicalObject/listPage")
    ResponseContent<List<LogicalObjectDTO>>  queryObjectClass(@RequestBody LogicalObjectDTO logicalObjectDTO);

    /**
     * 查询编组详情信息
     * @param logicalObjectDTO 请求参数
     * @author weiyizhong
     * @date 2021/6/23 17:02
     * @return com.alibaba.fastjson.JSONObject
     */
    @PostMapping("/logicalGrouping/list")
    ResponseContent<List<LogicalGroupingDTO>> listLogicalGroupingDTO( @RequestBody LogicalGroupingDTO logicalObjectDTO);

    /**
     * 查询编组及其对象列表
     * @param record 请求参数
     * @author weiyizhong
     * @date 2021/6/23 17:02
     * @return com.alibaba.fastjson.JSONObject
     */
    @PostMapping("/logicalGrouping/listGroupingObject")
    ResponseContent<List<LogicalGroupingDTO>>  listGroupingObject( @Valid @RequestBody LogicalGroupingDTO record);

    /**
     * 查询编组详情信息
     * @param record 请求参数
     * @author weiyizhong
     * @date 2021/6/23 17:02
     * @return com.alibaba.fastjson.JSONObject
     */
    @PostMapping("/logicalGrouping/listPageNotGroupingObject")
    ResponseContent<List<JSONObject>>  listPageNotGroupingObject(@Valid @RequestBody LogicalGroupingDTO record);


}
