package com.persagy.dmp.client;

import javax.validation.Valid;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.common.IntegratedResponseResult;
import com.persagy.dmp.constant.RequestUrlConstant;
import com.persagy.dmp.dto.QueryPersonDTO;


/**
 * @author LuoGuangyi
 * @version 1.0.0
 * @Description 人员服务
 * @ClassName PersonCenterClient.java
 * @createTime 2020/12/29 17:39
 * @Since
 */
@FeignClient(name = "person-center", url = "${integrated.person.center.url:}")
public interface PersonCenterClient {


    /**
     * @param queryPersonDTO:
     * @description: 查询人员详情
     * @author: LuoGuangyi
     * @createTime: 2020/12/29 17:39
     * @return: com.persagy.dmp.common.IntegratedResponseResult<com.persagy.dmp.dto.dict.DictTypeDTO>
     * @expression
     */
    @PostMapping(RequestUrlConstant.PERSON_CENTER_QUERY_PERSON_DETAIL_BY_ID)
    IntegratedResponseResult<JSONObject> queryPersonDetailById(@RequestBody @Valid QueryPersonDTO queryPersonDTO);
    
    /**
     * @param queryPersonDTO:
     * @description: 查询人员详情
     * @author: LuoGuangyi
     * @createTime: 2020/12/29 17:39
     * @return: com.persagy.dmp.common.IntegratedResponseResult<com.persagy.dmp.dto.dict.DictTypeDTO>
     * @expression
     */
    @PostMapping(RequestUrlConstant.PERSON_CENTER_QUERY_PERSON_TOKEN_BY_USERNAME)
    IntegratedResponseResult<JSONObject> queryPersonTokenByUserName(@RequestBody QueryPersonDTO queryPersonDTO);
    
}
