package com.persagy.dmp.common;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zhangqiankun
 * @description
 * @since 2020年8月26日:	下午5:17:08
 */
@Data
@Builder
public class IntegratedResponseResult<T> implements Serializable {
    private static final long serialVersionUID = 1L;

    private String respCode;            // 响应码

    private String respMsg;                // 响应描述

    private T content;            // 响应数据，实际可以是请求体，也可以是响应体，随意

    private Long count;                // 响应数据总记录数

    public IntegratedResponseResult() {

    }

    public IntegratedResponseResult(String respCode, String respMsg) {
        this.respCode = respCode;
        this.respMsg = respMsg;
    }

    public IntegratedResponseResult(String respCode, String respMsg, T content) {
        this.respCode = respCode;
        this.respMsg = respMsg;
        this.content = content;
    }

    public IntegratedResponseResult(String respCode, String respMsg, T content, Long count) {
        this.respCode = respCode;
        this.respMsg = respMsg;
        this.content = content;
        this.count = count;
    }


}
