package com.persagy.dmp.common;


import com.persagy.dmp.constant.ResponseCode;

/**
 * @author zhangqiankun
 * @description
 * @company persagy
 * @since 2020年9月1日:	下午2:21:25
 */
public class IntegratedResponseResultUtil {

    public static IntegratedResponseResult successResult() {
        IntegratedResponseResult result = new IntegratedResponseResult();
        result.setRespCode(ResponseCode.A00000.getCode());
        result.setRespMsg(ResponseCode.A00000.getDesc());
        return result;
    }

    public static IntegratedResponseResult successResult(String respMsg) {
        IntegratedResponseResult result = new IntegratedResponseResult();
        result.setRespCode(ResponseCode.A00000.getCode());
        result.setRespMsg(respMsg);
        return result;
    }

    public static IntegratedResponseResult successResult(Object content) {
        IntegratedResponseResult result = new IntegratedResponseResult();
        result.setRespCode(ResponseCode.A00000.getCode());
        result.setRespMsg(ResponseCode.A00000.getDesc());
        result.setContent(content);
        return result;
    }

    public static IntegratedResponseResult successResult(Object content, Long count) {
        IntegratedResponseResult result = new IntegratedResponseResult();
        result.setRespCode(ResponseCode.A00000.getCode());
        result.setRespMsg(ResponseCode.A00000.getDesc());
        result.setContent(content);
        result.setCount(count);
        return result;
    }

    public static IntegratedResponseResult errorResult() {
        IntegratedResponseResult result = new IntegratedResponseResult();
        result.setRespCode(ResponseCode.A10000.getCode());
        result.setRespMsg(ResponseCode.A10000.getDesc());
        return result;
    }

    public static IntegratedResponseResult errorResult(String respMsg) {
        IntegratedResponseResult result = new IntegratedResponseResult();
        result.setRespCode(ResponseCode.A10000.getCode());
        result.setRespMsg(respMsg);
        return result;
    }

    public static IntegratedResponseResult errorResult(String respCode, String respMsg) {
        IntegratedResponseResult result = new IntegratedResponseResult();
        result.setRespCode(respCode);
        result.setRespMsg(respMsg);
        return result;
    }

    public static IntegratedResponseResult errorResult(String respCode, String respMsg, Object content) {
        IntegratedResponseResult result = new IntegratedResponseResult();
        result.setRespCode(respCode);
        result.setRespMsg(respMsg);
        result.setContent(content);
        return result;
    }

}
