package com.persagy.dmp.common;

import cn.hutool.core.util.ObjectUtil;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @description: 数据翻页通用类
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/10 19:39
 * @version: V1.0
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PageResult<T extends List> {

    //对象数据
    private T data;

    //数量
    private Integer count = 0;

    public T getData(Class<T> clazz) {
        if (data == null) {
            T t = null;
            try {
                t = clazz.newInstance();
            } catch (Exception ex) {
                ex.printStackTrace();
            }
            return t;
        }
        return data;
    }

    public <T extends List> PageResult<T> addAll(PageResult<T> pageResult) {
        if (this == null) {
            return pageResult;
        }
        if (this.getData() == null) {
            if (pageResult == null) {
                return (PageResult<T>) this;
            }
            pageResult.count += this.count;
            return pageResult;
        }
        if (pageResult != null) {
            if (ObjectUtil.isNotEmpty(pageResult.getData())) {
                this.getData().addAll(pageResult.getData());
            }
            this.count += pageResult.getCount();
        }
        return (PageResult<T>) this;
    }
}
