package com.persagy.dmp.common.url;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 类型定义请求url 通用参数
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/28 15:46
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ClassUrParam {

    /**
     * 集团编码
     */
    private String groupCode;

    /**
     * 方案id
     */
    private String schemeId;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 应用id
     */
    private String appId;

    /**
     * 子分类标记,若为 true 则按子分类字段将类型拆解后返回,目前不支持指定类型进行子分类展开
     */
    private Boolean subFlag;
}
