package com.persagy.dmp.common.url;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 信息点定义请求url 通用参数
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/28 15:46
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FuncIdUrParam implements Serializable {

    private static final long serialVersionUID = 3492071662599927670L;

    /**
     * 集团编码
     */
    private String groupCode;

    /**
     * 方案id
     */
    private String schemeId;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 应用id
     */
    private String appId;
}
