package com.persagy.dmp.common.url;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: iot 请求url通用参数
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/21 16:28
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class IOTUrlParam {

    /**
     * 集团编码
     */
    String groupCode;

    /**
     * 项目 id, 不可为空
     */
    String projectId;

    /**
     * 应用id
     */
    String appId;
}
