package com.persagy.dmp.config;

import feign.Logger;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @description: 配置
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/21 17:43
 * @version: V1.0
 **/
@ConfigurationProperties("persagy.dmp")
public class DmpProperties implements InitializingBean {

    //feign日志级别
    private Logger.Level feignLoggerLevel = Logger.Level.NONE;

    public Logger.Level getFeignLoggerLevel() {
        return feignLoggerLevel;
    }

    public void setFeignLoggerLevel(Logger.Level feignLoggerLevel) {
        this.feignLoggerLevel = feignLoggerLevel;
    }

    @Override
    public void afterPropertiesSet() throws Exception {

    }
}
