//package com.persagy.dmp.config;
//
//import com.alibaba.fastjson.JSONObject;
//import com.persagy.dmp.constant.RabbitMQConstant;
//import com.persagy.dmp.enumeration.EnumRwdMQType;
//import com.rabbitmq.client.Channel;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.amqp.support.AmqpHeaders;
//import org.springframework.messaging.handler.annotation.Headers;
//import org.springframework.stereotype.Component;
//
//import java.util.Map;
//
//
///**
// * @description: 中台物理世界消息
// * @author: xingmaojun
// * @company: Persagy Technology Co.,Ltd
// * @since: 2021/1/4 16:11
// * @version: V1.0
// **/
//@Component
//public class DmpRwdReceiver {
//
//    private static final Logger log = LoggerFactory.getLogger(DmpRwdReceiver.class);
//
//    //@RabbitListener(queues = RabbitMQConstant.QUEUE_DMP_RWD)
//    public void rwdMes(String jsonStr, Channel channel, @Headers Map<String, Object> headers) {
//        log.info("接收到数据平台消息:" + jsonStr);
//        try {
//            Long deliveryTag = (Long) headers.get(AmqpHeaders.DELIVERY_TAG);
//            channel.basicAck(deliveryTag, false);
//            String type = JSONObject.parseObject(jsonStr).getString("type");
//            switch (Enum.valueOf(EnumRwdMQType.class, type)) {
//                case instanceObjectCreate:
//                    log.info("创建对象", jsonStr);
//                    break;
//                case instanceObjectUpdate:
//                    log.info("更新对象", jsonStr);
//                    break;
//                case instanceObjectDelete:
//                    log.info("删除对象", jsonStr);
//                    break;
//                case instanceRelationCreate:
//                    log.info("创建关系", jsonStr);
//                    break;
//                case instanceRelationDelete:
//                    log.info("删除关系", jsonStr);
//                    break;
//                default:
//                    break;
//            }
//        } catch (Exception e1) {
//            log.error("dataPlatformMes Exception", e1);
//        }
//    }
//
//
////    消息体内值为空的字段不返回
////
////    exchange: exchange-dmp
////    对象创建:
////    routingKey: routing-dmp-rwd
////
////    body:
////    {
////        "mid": "uuid",
////            "groupCode": "集团编码",
////            "projectId": "项目ID",
////            "type": "instanceObjectCreate",
////            "targetId": "物理世界对象ID",
////            "int1": null,
////            "int2": null,
////            "str1": "对象objType",
////            "str2": "对象classCode",
////            "appId": "创建对象的appid，可能为空",
////            "userId": "创建对象的userId，可能为空",
////            "sendTime": "广播发送时间",
////            "expireTime": "广播消息过期时间，一般为空",
////            "exts": {}
////    }
////
////    对象更新:
////    routingKey: routing-dmp-rwd
////    body:
////    {
////        "mid": "uuid",
////            "groupCode": "集团编码",
////            "projectId": "项目ID",
////            "type": "instanceObjectUpdate",
////            "targetId": "物理世界对象ID",
////            "int1": null,
////            "int2": null,
////            "str1": "对象objType",
////            "str2": "对象classCode",
////            "appId": "更新对象的appid，可能为空",
////            "userId": "更新对象的userId，可能为空",
////            "sendTime": "广播发送时间",
////            "expireTime": "广播消息过期时间，一般为空",
////            "exts": {}
////    }
////
////    对象删除:
////    routingKey: routing-dmp-rwd
////    body:
////    {
////        "mid": "uuid",
////            "groupCode": "集团编码",
////            "projectId": "项目ID",
////            "type": "instanceObjectDelete",
////            "targetId": "物理世界对象ID",
////            "int1": null,
////            "int2": null,
////            "str1": "对象objType",
////            "str2": "对象classCode",
////            "appId": "删除对象的appid，可能为空",
////            "userId": "删除对象的userId，可能为空",
////            "sendTime": "广播发送时间",
////            "expireTime": "广播消息过期时间，一般为空",
////            "exts": {}
////    }
////
////    关系创建:
////    routingKey: routing-dmp-rwd
////    body:
////    {
////        "mid": "uuid",
////            "groupCode": "集团编码",
////            "projectId": "项目ID",
////            "type": "instanceRelationCreate",
////            "targetId": null,
////            "int1": null,
////            "int2": null,
////            "str1": null,
////            "str2": null,
////            "appId": "创建关系的appid，可能为空",
////            "userId": "创建关系的userId，可能为空",
////            "sendTime": "广播发送时间",
////            "expireTime": "广播消息过期时间，一般为空",
////            "exts": {
////        "graphId": "",
////                "graphCode": "",
////                "relCode": "",
////                "objFrom": "",
////                "objTo": ""
////    }
////    }
////
////    关系删除:
////    routingKey: routing-dmp-rwd
////    body:
////    {
////        "mid": "uuid",
////            "groupCode": "集团编码",
////            "projectId": "项目ID",
////            "type": "instanceRelationCreate",
////            "targetId": null,
////            "int1": null,
////            "int2": null,
////            "str1": null,
////            "str2": null,
////            "appId": "删除关系的appid，可能为空",
////            "userId": "删除关系的userId，可能为空",
////            "sendTime": "广播发送时间",
////            "expireTime": "广播消息过期时间，一般为空",
////            "exts": {
////        "graphId": "",
////                "graphCode": "",
////                "relCode": "",
////                "objFrom": "",
////                "objTo": ""
////    }
////    }
//
//}
