package com.persagy.dmp.config;

import javax.servlet.http.HttpServletRequest;

import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import cn.hutool.core.util.StrUtil;
import feign.RequestInterceptor;
import feign.RequestTemplate;

/**
 * feign拦截器，只包含基础数据
 *
 * @description
 * @author persagy
 * @since 2020年11月4日: 下午8:09:02
 */
public class FeignInterceptorConfig implements RequestInterceptor{

	@Override
	public void apply(RequestTemplate template) {
		// 传递通用header
		ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
		HttpServletRequest request = attributes == null ? null : attributes.getRequest();
		if (request != null) {
			// 这里的 header key 全为小写
			String authorization = request.getHeader("authorization");
			if (StrUtil.isNotBlank(authorization)) {
				template.header("authorization", authorization);
			}
		}
	}

}
