package com.persagy.dmp.constant;

import com.alibaba.fastjson.JSONObject;

import cn.hutool.core.util.StrUtil;

/**
 * @description: 数据中台接口常量
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/28 15:40
 * @version: V1.0
 */
public class DmpConstant {

    /** ibms显示名称，替换localName */
	public static final String IBMS_XIANSHI_MINCGHENG = "ibmsxianshimingcheng";

    /** ibms显示名称，替换localId */
	public static final String IBMS_XIANSHI_BIANMA = "ibmsxianshibianma";
    
	/** 慧云本地编码 */
	public static final String WD_HUIYUNBENDIBIANMA = "wD_huiyunbendibianma";
	
	/** 设备名称(工程设备名称)，慧云本地名称 */
	public static final String WD_HUIYUNBENDIMINGCHENG = "wD_huiyunbendimingcheng";
	
    /** 本地编码 */
	public static final String LOCAL_ID = "localId";
    
    /** 本地名称 */
	public static final String LOCAL_NAME = "localName";
	
    public static class ObjectQuery {
        public static final String CRITERIAS = "criterias";
        public static final String CRITERIA = "criteria";
        public static final String WITH_COLUMNS = "withColumns";
        public static final String ORDERS = "orders";
        public static final String COLUMN = "column";
        public static final String RELATION_FROM = "relationFrom";
        public static final String RELATION_TO = "relationTo";
    }

    public static class ObjectBaseInfoCode {
        public static final String ID = "id";
        public static final String NAME = "name";
        public static final String LOCAL_ID = "localId";
        public static final String LOCAL_NAME = "localName";
        public static final String CLASS_CODE = "classCode";
        public static final String GROUPING = "grouping";
        public static final String VALID = "valid";

        public static final String IBMS_SCENE_CODE = "ibmsSceneCode";
        public static final String IBMS_CLASS_CODE = "ibmsClassCode";
    }

    public static class ObjectType {
        public static final String PROJECT = "project";
        public static final String BUILDING = "building";
        public static final String FLOOR = "floor";
        public static final String SPACE = "space";
        public static final String SHAFT = "shaft";
        public static final String EQUIPMENT = "equipment";
        public static final String SYSTEM = "system";
    }

    public static class RelationType {
        public static final String ARCH_SUBSET_PROJECT_BUILDING = "Pj2Bd";
        public static final String ARCH_SUBSET_BUILDING_FLOOR = "Bd2Fl";
        public static final String ARCH_SUBSET_BUILDING_SPACE = "Bd2Sp";
        public static final String ARCH_SUBSET_FLOOR_SPACE = "Fl2Sp";

        //机电类服务区域关系, 设备设施服务于业务空间
        public static final String MECH_FOR_ARCH_EQUIP_SPACE = "Eq2Sp";
        public static final String MECH_FOR_ARCH_EQUIP_FLOOR = "Eq2Fl";

    }
    
    public static String getIbmsxianshimingcheng(JSONObject jsonObject) {
    	String ibmsxianshimingcheng = null;
    	if (jsonObject == null) {
    		return ibmsxianshimingcheng;
		}
    	String groupCode = jsonObject.getString("groupCode");
    	if ("WD".equals(groupCode)) {
    		ibmsxianshimingcheng = jsonObject.getString(WD_HUIYUNBENDIMINGCHENG);
		} else {
			ibmsxianshimingcheng = jsonObject.getString(IBMS_XIANSHI_MINCGHENG);
		}
        if (StrUtil.isBlank(ibmsxianshimingcheng)) {
            ibmsxianshimingcheng = jsonObject.getString(LOCAL_NAME);
        }
        return ibmsxianshimingcheng;
    }
    
    public static String getIbmsxianshibianma(JSONObject jsonObject) {
    	String ibmsxianshibianma = null;
    	if (jsonObject == null) {
    		return ibmsxianshibianma;
		}
    	String groupCode = jsonObject.getString("groupCode");
    	if ("WD".equals(groupCode)) {
    		ibmsxianshibianma = jsonObject.getString(WD_HUIYUNBENDIBIANMA);
		} else {
			ibmsxianshibianma = jsonObject.getString(IBMS_XIANSHI_BIANMA);
		}
        if (StrUtil.isBlank(ibmsxianshibianma)) {
        	ibmsxianshibianma = jsonObject.getString(LOCAL_ID);
        }
        return ibmsxianshibianma;
    }
    
}
