package com.persagy.dmp.constant;

/**
 * @author xingmaojun
 * @version V1.0
 * @ClassName RequestUrlConstant
 * @Description: 请求url常量
 * @date 2020/6/3 16:09
 **/
public class RequestUrlConstant {

    /**
     * 创建对象
     */
    public final static String OBJECT_CREATE = "/rwd/instance/object/create";

    /**
     * 更新对象
     */
    public final static String OBJECT_UPDATE = "/rwd/instance/object/update";

    /**
     * 删除对象
     */
    public final static String OBJECT_DELETE = "/rwd/instance/object/delete";

    /**
     * 查询对象
     */
    public final static String OBJECT_QUERY = "/rwd/instance/object/query";

    /**
     * 查询实时数据
     */
    public final static String OBJECT_CURRENT_DATA = "/rwd/iot/data/current";

    /**
     * 查询历史数据/分精度数据
     */
    public final static String OBJECT_HISTORY_DATA = "/rwd/iot/data/history";

    /**
     * 查询图实例
     */
    public final static String GRAPH_QUERY = "/rwd/graph/query";

    /**
     * 创建关系
     */
    public final static String RELATION_CREATE = "/rwd/instance/relation/create";

    /**
     * 删除关系
     */
    public final static String RELATION_DELETE = "/rwd/instance/relation/delete";

    /**
     * 查询关系
     */
    public final static String RELATION_QUERY = "/rwd/instance/relation/query";

    /**
     * 查询关系对象
     */
    public final static String RELATION_OBJECT_QUERY = "/rwd/instance/relation/object/query";


    /************************************************************************************/

    /************************************************************************************/


    /**
     * 查询信息点描述信息
     */
    public final static String DEF_FUNCID = "/rwd/def/funcid";

    /**
     * 类型查询
     */
    public final static String DEF_CLASS = "/rwd/def/class";

    /**
     * 从数据字典中查询专业
     */
    public static final String DICT_QUERY = "/dic/dt/data/query";

    // ==================报警模块=========================================================================
    /**
     * 查询报警记录
     */
    public static final String ALARM_QUERY = "/alarm/record/query";

    /**
     * 新增报警记录
     */
    public static final String ALARM_CREATE = "/alarm/record/create";

    /**
     * 更新报警记录
     */
    public static final String ALARM_UPDATE = "/alarm/record/update";

    /**
     * 查询报警条目
     */
    public static final String ALARM_ITEM = "/alarm/item/query";

    /**
     * 查询报警定义
     */
    public static final String ALARM_CONFIG = "/alarm/config/query";

    /**
     * 更新报警定义
     */
    public static final String ALARM_CONFIG_UPDATE = "/alarm/config/update";

    /**
     * 查询报警匹配规则
     */
    public static final String ALARM_TARGET_QUERY = "/alarm/target/query";

    /**
     * 创建报警匹配规则
     */
    public static final String ALARM_TARGET_CREATE = "/alarm/target/create";

    /**
     * 更新报警匹配规则
     */
    public static final String ALARM_TARGET_UPDATE = "/alarm/target/update";

    /**
     * 删除报警匹配规则
     */
    public static final String ALARM_TARGET_DELETE = "/alarm/target/delete";

    /**
     * 创建报警记录的操作日志
     */
    public static final String ALARM_CREATE_LOG = "/alarm/log/create";

    /**
     * 查询操作日志数据
     */
    public static final String ALARM_QUERY_LOG = "/alarm/log/query";

    /**
     * 创建报警批注
     */
    public static final String ALARM_CREATE_COMMENT = "/alarm/comment/create";

    /**
     * 查询报警批注
     */
    public static final String ALARM_QUERY_COMMENT = "/alarm/comment/query";

    /**
     * 根据系统类/设备类 查询专业和系统
     */
    public static final String ZKT_MONITOR_CATEGORY_MAJOR_AND_SYSTEM = "/category/categoryMajorAndSystem";
    /**
     * 集成框架字典服务--创建字典类型
     */
    public static final String DICT_CENTER_CREATE_DICT_TYPE = "/v1.0/dictType/createDictType";
    /**
     * 集成框架字典服务--查询字典类型
     */
    public static final String DICT_CENTER_QUERY_DICT_TYPE_LIST = "/v1.0/dictType/queryDictTypeList";
    /**
     * 集成框架字典服务--创建字典数据
     */
    public static final String DICT_CENTER_CREATE_DICT_DATA = "/v1.0/dictData/createDictData";
    /**
     * 集成框架字典服务--查询字典数据
     */
    public static final String DICT_CENTER_QUERY_AGG_DICT_DATA_LIST = "/v1.0/dictData/queryAggDictDataList";


    /**
     * 异步采集-读取点位
     */
    public static final String POINT_READ_POST = "/pointread_post";

    /**
     * 异步采集-批量读取点位
     */
    public static final String POINT_READ_BATCH_POST = "/pointreadbatch_post";

    /**
     * 同步采集-同步读取点位
     */
    public static final String SYNC_POINT_READ_POST = "/sync_pointread_post";

    /**
     * 同步采集-批量读取点位
     */
    public static final String SYNC_POINT_READ_BATCH_POST = "/sync_pointreadbatch_post";

    /**
     * 查询采集当前值
     */
    public static final String PRESENT_REPORT_POST = "/presentreport_post";

    /**
     * 批量查询采集当前值
     */
    public static final String PRESENT_REPORT_BATCH_POST = "/presentreportbatch_post";


    /**
     * 异步控制-设置点位
     */
    public static final String POINT_SET_POST = "/pointset_post";


    /**
     * 异步控制-批量设置点位
     */
    public static final String POINT_SET_BATCH_POST = "/pointsetbatch_post";

    /**
     * 同步控制-设置点位
     */
    public static final String SYNC_POINT_SET_POST = "/sync_pointset_post";

    /**
     * 同步控制-批量设置点位
     */
    public static final String SYNC_POINT_SET_BATCH_POST = "/sync_pointsetbatch_post";

    /**
     * 同步控制-批量查询控制结果
     */
    public static final String POINT_SET_RESULT_BATCH_POST = "/pointsetresultbatch_post";

    /**
     * 查询控制当前值
     */
    public static final String PRESENT_SET_POST = "/presentset_post";

    /**
     * 批量查询控制当前值
     */
    public static final String PRESENT_SET_BATCH_POST = "/presentsetbatch_post";

    /**
     * 查询人员详情
     */
    public static final String PERSON_CENTER_QUERY_PERSON_DETAIL_BY_ID = "/restPersonService/queryPersonDetailById";
    
    /**
     * 查询人员的token
     */
    public static final String PERSON_CENTER_QUERY_PERSON_TOKEN_BY_USERNAME = "/user/queryPersonTokenByUserName";
    
    // ==================中台组织结构开始=========================================================================
    /**
     * 中台人员组织权限服务--查询用户
     */
    public static final String ORG_USER_QUERY = "/org/user/query";

    /**
     * 集团查询
     */
    public static final String ORG_GROUP_QUERY = "/org/group/query";

    /**
     * 项目查询
     */
    public static final String ORG_PROJECT_QUERY = "/org/project/query";

    // ==================中台组织结构结束=========================================================================

    // ==================FM=========================================================================
    /**
     * FM工单--工单列表
     */
    public static final String QUERY_WORK_ORDER_LIST = "/workorder/restWorkOrderService/queryWorkOrderList";
    // ==================FM=========================================================================

    // zkt-monitor begin

    /**
     * 获取角色名称
     */
    public static final String GET_ROLE_NAME = "getRoleName";

    // zkt-monitor end

    /** 查询IBMS角色人员列表 */
    public static final String QUERY_FM_SAAS_PERSON = "/ibmsManage/personRoleRel/queryPersonRoleList";

}
