package com.persagy.dmp.dao;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.dmp.dto.dict.DictDataDTO;

import java.util.List;

/**
 * @description: 字典接口
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/28 15:18
 * @version: V1.0
 **/
public interface DicDao {

    /**
     * @description: 查询字典
     * @param: groupCode 集团编码
     * @param: projectId 项目id
     * @param: type  字典类型
     * @return: java.util.List<com.persagy.dmp.dto.dict.DictDataDTO>
     * @exception:
     * @author: xingmaojun
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/12/29 17:24
     * @version: V1.0
     */
    List<DictDataDTO> queryDictDataList(String groupCode, String projectId, String type) throws Exception;

    /**
     * @description: 查询字典
     * @param: groupCode 集团编码
     * @param: projectId 项目id
     * @param: criteria  筛选条件
     * @return: java.util.List<com.persagy.dmp.dto.dict.DictDataDTO>
     * @exception:
     * @author: xingmaojun
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/12/29 17:24
     * @version: V1.0
     */
    List<DictDataDTO> queryDictDataList(String groupCode, String projectId, JacksonCriteria criteria) throws Exception;
}
