package com.persagy.dmp.dao.impl;

import com.persagy.dmp.client.EmsCollectClient;
import com.persagy.dmp.dao.CollectDao;
import com.persagy.dmp.dto.collect.BatchPointReportParam;
import com.persagy.dmp.dto.collect.BatchPointReportResult;
import com.persagy.dmp.dto.collect.PointReportParam;
import com.persagy.dmp.dto.collect.PointReportResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @description: 采集dao实现
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/18 18:20
 * @version: V1.0
 **/
@Component
public class CollectDaoImpl implements CollectDao {

    @Autowired
    private EmsCollectClient emsCollectClient;

    @Override
    public PointReportResult pointRead(PointReportParam pointReportParam) {
        return emsCollectClient.pointRead(pointReportParam);
    }

    @Override
    public BatchPointReportResult pointReadBatch(BatchPointReportParam batchPointReportParam) {
        return emsCollectClient.pointReadBatch(batchPointReportParam);
    }

    @Override
    public PointReportResult presentReport(PointReportParam pointReportParam) {
        return emsCollectClient.presentReport(pointReportParam);
    }

    @Override
    public BatchPointReportResult presentReportBatch(BatchPointReportParam batchPointReportParam) {
        return emsCollectClient.presentReportBatch(batchPointReportParam);
    }
}
