package com.persagy.dmp.dao.impl;

import com.persagy.dmp.client.EmsControlClient;
import com.persagy.dmp.dao.ControlDao;
import com.persagy.dmp.dto.control.BatchPointSetParam;
import com.persagy.dmp.dto.control.BatchPointSetResult;
import com.persagy.dmp.dto.control.PointSetParam;
import com.persagy.dmp.dto.control.PointSetResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @description: 控制dao实现
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/18 18:20
 * @version: V1.0
 **/
@Component
public class ControlDaoImpl implements ControlDao {

    @Autowired
    private EmsControlClient emsControlClient;

    @Override
    public PointSetResult pointSet(PointSetParam pointSetParam) {
        return emsControlClient.pointSet(pointSetParam);
    }

    @Override
    public BatchPointSetResult pointSetBatch(BatchPointSetParam batchPointSetParam) {
        return emsControlClient.pointSetBatch(batchPointSetParam);
    }

    @Override
    public PointSetResult syncPointSet(PointSetParam pointSetParam) {
        return emsControlClient.syncPointSet(pointSetParam);
    }

    @Override
    public BatchPointSetResult syncPointSetBatch(BatchPointSetParam batchPointSetParam) {
        return emsControlClient.syncPointSetBatch(batchPointSetParam);
    }

    @Override
    public BatchPointSetResult pointSetResultBatch(BatchPointSetParam batchPointSetParam) {
        return emsControlClient.pointSetResultBatch(batchPointSetParam);
    }

    @Override
    public PointSetResult presentSet(PointSetParam pointSetParam) {
        return emsControlClient.presentSet(pointSetParam);
    }

    @Override
    public BatchPointSetResult presentSetBatch(BatchPointSetParam batchPointSetParam) {
        return emsControlClient.presentSetBatch(batchPointSetParam);
    }
}
