package com.persagy.dmp.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/8/29 10:27
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FuncIdQueryDTO implements Serializable {

    //类型编码
    private String classCode;

    //分类:平台级common,集团级group,项目级project
    private List<String> type;

    //集团id, type=group时必须传入该参数
    private String groupId;

    //项目id, type=project时必须传入该参数
    private String projectId;

    //信息点编码
    private String code;

    //信息点名称
    private String name;

    //一级标签
    private String firstTag;

    //二级标签
    private String[] secondTag;

    //输入方式
    private String inputMode;

    @ApiModelProperty(value = "动静分类（静态 STATIC、脉冲 PULSE、时序 SEQUENTIAL、阶段 GRADATION）", position = 5)
    private String[] category;

    //场景code
    private String ibmsSceneCode;

    //场景码
    private String ibmsClassCode;


}
