package com.persagy.dmp.dto;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 通用数据字典表(general_dictionary)实体类
 *
 * @author luoguangyi
 * @description 由 Mybatisplus Code Generator 创建
 * @since 2021-01-26 11:42:11
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class GeneralDictionaryDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 父级编码
     */
    public String parentCode;
    /**
     * 主键id
     */
    private String dictId;
    /**
     * 主键id
     */
    private List<String> dictIds;
    /**
     * 集团编码
     */
    private String groupCode;
    /**
     * 项目Id
     */
    private String projectId;
    /**
     * 字典类型
     */
    private String dictType;
    /**
     * 编码
     */
    private String code;
    /**
     * 编码
     */
    private List<String> codes;
    /**
     * 展示顺序
     */
    private Integer sequence;
    /**
     * 名称
     */
    private String name;
    /**
     * json对象数据
     */
    private JSONObject itemData;
    /**
     * json数组数据
     */
    private JSONArray arrayData;
    /**
     * 描述
     */
    private String remark;
    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @JSONField(format = "yyyyMMddHHmmss")
    private Date createTime;
    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @JSONField(format = "yyyyMMddHHmmss")
    private Date updateTime;
    /**
     * 有效状态(1-有效；0-无效)
     */
    private Integer valid;
    /**
     * 子节点
     */
    private List<GeneralDictionaryDTO> children;
    /**
     * 是否自动生成code
     */
    @JSONField(name="autoCode")
    private Boolean autoCode;


    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}