package com.persagy.dmp.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @description:
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/21 15:15
 * @version: V1.0
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HistoryDataQuery {

    /**
     * 开始时间  例 20200415120000
     */
    private String startTime;

    /**
     * 结束时间 例 20200501120000
     */
    private String endTime;

    /**
     * 分精度类型，支持 1min、5min、15min、1h、1d
     */
    private String period;

    /**
     * 对象、信息点列表
     */
    private List<DataQueryDTO> params;
}
