package com.persagy.dmp.dto;

import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.enumeration.EnumCategory;
import com.persagy.dmp.enumeration.EnumDataType;
import lombok.Data;

import java.io.Serializable;

/**
 * @author feng
 * @version 1.0
 * @description 信息点类
 * @since 2020/5/26 11:20
 */
@Data
public class InfoPointDictDTO implements Serializable {

    private static final long serialVersionUID = 3891154940125795717L;

    //信息点编码,同类型下唯一
    private String code;

    //信息点名称
    private String name;

    //信息点别编码,同类型下唯一
    private String aliasCode;

    //信息点别名
    private String aliasName;

    //类型编码
    private String classCode;

    //字典级别:平台级 common,集团级 group,项目级 project
    private String type;

    //信息点分类:静态,脉冲,阶段,时序
    private EnumCategory category;

    //集团 id, type=group 或 type=project 时该字段为集团 id,否则为"0"
    private String groupCode;

    //集团 id, type=project 时该字段为项目 id,否则为"0"
    private String projectId;

    //一级标签
    private String firstTag;

    //二级标签
    private String secondTag;

    //单位
    private String unit;

    //优先级
    private String priority;

    //输入方式
    private String inputMode;

    //数据类型
    private EnumDataType dataType;

    //是否复数
    private String isMultiple;

    //是否区间
    private String isRegion;

    //数据格式
    private String formatter;

    //子分类标记:是否可以按此信息点进行子分类替换,同一类型下目前只支持一个子分类信息点
    private String subFlag;

    //数据源取值范围/枚举值清单等,根据 dataType 有不同的内容
    private Object[] dataSource;

    //备注/
    private String note;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
