package com.persagy.dmp.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/15 15:15
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogicalObjectLightingSelectsDTO {

    /**
     * 电井下拉
     */
    private List<SelectItem> powerWells;

    /**
     * 配电箱下拉
     */
    private List<SelectItem> powerBox;

    /**
     * 控制模块下拉
     */
    private List<SelectItem> modular;

    /**
     * 照明分组下拉内容
     */
    private List<LightingGroup> lightingGroups;

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class SelectItem {

        /**
         * 唯一标识
         */
        private String id;

        /**
         * 下拉值
         */
        private String name;

    }

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class LightingGroup {

        /**
         * 唯一标识
         */
        private String id;

        /**
         * 区域名称
         */
        private String name;

        /**
         * 分组下拉
         */
        private List<SelectItem> items;

    }

}
