package com.persagy.dmp.dto;

import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.entity.PageAndOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 业务日志表（业务操作记录）(operation_log)实体类
 *
 * @author luoguangyi
 * @description 由 Mybatisplus Code Generator 创建
 * @since 2020-12-03 15:18:07
 */
@ApiModel(value = "com-persagy-domain-OperationLog")
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class OperationLogDTO extends PageAndOrder implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 日志记录ID
     */
    @ApiModelProperty(value = "日志记录ID")
    private String logId;

    /**
     * 日志记录ID
     */
    @ApiModelProperty(value = "日志记录IDs")
    private List<String> logIds;


    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @ApiModelProperty(value = "创建时间:时间格式为yyyyMMddHHmmss")
    private Date createTime;

    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @ApiModelProperty(value = "更新时间:时间格式为yyyyMMddHHmmss")
    private Date updateTime;

    /**
     * 有效状态(1-有效；0-无效)
     */
    @ApiModelProperty(value = "有效状态(1-有效；0-无效)")
    private Integer valid;
    /**
     * 项目ID
     */
    @ApiModelProperty(value = "项目ID")
    private String projectId;
    /**
     * 所属业务模块类型
     */
    @ApiModelProperty(value = "所属业务模块类型")
    private String functionType;

    /**
     * 所属业务模块名称（系统登录，用户管理，维修信息，系统日历，模式管理，天气信息，基本信息，交接班）
     */
    @ApiModelProperty(value = "所属业务模块名称（系统登录，用户管理，维修信息，系统日历，模式管理，天气信息，基本信息，交接班）")
    private String functionName;

    /**
     * 系统编码
     */
    @ApiModelProperty(value = "系统编码")
    private String systemCode;
    /**
     * 系统名称
     */
    @ApiModelProperty(value = "系统编码")
    private String systemName;

    /**
     * 对象类
     */
    @ApiModelProperty(value = "对象类")
    private String classCode;

    /**
     * 对象ID
     */
    @ApiModelProperty(value = "对象ID")
    private String objId;

    /**
     * 对象名称
     */
    @ApiModelProperty(value = "对象名称")
    private String objName;
    /**
     * 对象编码
     */
    @ApiModelProperty(value = "对象编码")
    private String localId;


    /**
     * 对象类型
     */
    @ApiModelProperty(value = "对象类型")
    private String objType;

    /**
     * 操作类型
     */
    @ApiModelProperty(value = "操作类型")
    private String operateType;

    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private String userId;

    /**
     * 操作人名称
     */
    @ApiModelProperty(value = "操作人名称")
    private String userName;
    /**
     * 人员部门岗位
     */
    @ApiModelProperty(value = "人员部门岗位")
    private List<DeptJobId> deptJobIds;

    /**
     * 对象数组
     */
    @ApiModelProperty(value = "对象数组")
    private String objs;

    /**
     * 操作详情
     */
    @ApiModelProperty(value = "操作详情")
    private String operateDetail;

    /**
     * 操作IP地址
     */
    @ApiModelProperty(value = "操作IP地址")
    private String ipAddress;
    /**
     * 操作来源类型 1-用户操作日志 2-系统运行日志
     */
    @ApiModelProperty(value = "操作来源类型 1-用户操作日志 2-系统运行日志")
    private Integer sourceType;
    /**
     * 关联模块的记录主键
     */
    @ApiModelProperty(value = "关联模块的记录主键")
    private String associatedId;

    /*
     * 查询过滤时间类型
     */
    @ApiModelProperty(value = "查询时间类型")
    private String timeType;
    /*
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间：yyyyMMddHHmmss")
    private Date startTime;
    /*
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间：yyyyMMddHHmmss")
    private Date endTime;
    /**
     * 集团编码
     */
    @ApiModelProperty(value = "集团编码")
    private String groupCode;


    /**
     * 集团编码
     */
    @ApiModelProperty(value = "用户角色")
    private String roleName;

    /**
     * 产品模块编码
     */
    @ApiModelProperty(value = "产品模块编码")
    private String ibmsSceneCode;

    /**
     * 产品模块名称
     */
    @ApiModelProperty(value = "产品模块名称")
    private String moduleName;


    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}