package com.persagy.dmp.dto;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author LuoGuangyi
 * @version 1.0.0
 * @Description 查询人员详情
 * @ClassName QueryPersonDTO.java
 * @createTime 2020/12/29 15:09
 * @Since
 */
@ApiModel(value = "查询人员")
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class QueryPersonDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 人员账号id
     */
    @NotNull(message = "id不能为空")
    @ApiModelProperty(value = "人员账号id")
    private String id;
    /**
     * 账号id
     */
    @ApiModelProperty(value = "账号id")
    @NotNull(message = "userId不能为空")
    private String userId;

    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    private String username;

    /**
     * 集团编码
     */
    @ApiModelProperty(value = "集团编码")
    @NotNull(message = "groupCode不能为空")
    private String groupCode;

    /**
     * appId
     */
    @ApiModelProperty(value = "appID")
    @NotNull(message = "appId不能为空")
    private String appId;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}