package com.persagy.dmp.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 对象关系查询
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/13 16:57
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class RelationFromDTO implements Serializable {

    private static final long serialVersionUID = 8337983642099785057L;

    /**
     * 图实例id
     */
    private String graphId;

    /**
     * 图类型
     */
    private String graphCode;

    /**
     * 边类型
     */
    private String relCode;

    /**
     * to对象id
     */
    private String objTo;
}
