package com.persagy.dmp.dto.control;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @description: 控制入参
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/18 18:30
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointSetParam {

    /**
     * 建筑id
     */
    private String building;

    /**
     * 虚点
     */
    private Boolean virtual = false;

    /**
     * 仪表号
     */
    private String meter;

    /**
     * 功能号
     */
    @JSONField(name = "funcid")
    private Integer funcId;

    /**
     * 设定值
     */
    private BigDecimal data;
}
