package com.persagy.dmp.dto.dict;

import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @description: 字典数据
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/12/02 18:31
 * @version:V1.0
 **/
@Data
@NoArgsConstructor
public class DictDataDTO {
    /**
     * 字段编码
     */
    private String code;
    /**
     * 字段父级编码
     */
    private String parentCode;

    /**
     * 字段名称
     */
    private String label;
    /**
     * 应用ID
     */
    private String appId;
    /**
     * 用户ID
     */
    private String userId;
    /**
     * 字典类型描述
     */
    private String description;
    /**
     * 集团编码
     */
    private String groupCode;
    /**
     * 主键ID，更新或删除时不可为空
     */
    private String id;
    /**
     * 排序
     */
    private Integer orderNum;

    /**
     * 项目ID
     */
    private String projectId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 字典类型状态
     */
    private Integer status;
    /**
     * 字典类型
     */
    @NotNull(message = "type不能为空")
    private String type;
    /**
     * 字典类型ID
     */
    private String dictTypeId;

    private String createUser;
    private Date createTime;
    private String updateUser;
    private Date updateTime;
}