package com.persagy.dmp.dto.dict;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @description: 字典类型
 * @author:LuoGuangyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/12/02 18:31
 * @version:V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DictTypeDTO {
    /**
     * 应用ID
     */
    private String appId;
    /**
     * 用户ID
     */
    private String userId;
    /**
     * 字典类型描述
     */
    private String description;
    /**
     * 集团编码
     */
    private String groupCode;
    /**
     * 主键ID，更新或删除时不可为空
     */
    private String id;
    /**
     * 字典类型名称
     */
    private String name;
    /**
     * 项目ID
     */
    private String projectId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 字典类型状态
     */
    private String status;
    /**
     * 字典类型
     */
    @NotNull(message = "type不能为空")
    private String type;
    private String createUser;
    private Date createTime;
    private String updateUser;
    private Date updateTime;
}