package com.persagy.dmp.dto.logicalGrouping;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
    * 对象组与数据字典对象关系表
    */
@ApiModel(value="com-persagy-dmp-entity-LogicalObject")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LogicalObjectRelationDTO implements Serializable {

    /**
     * 分组id
     */
    @ApiModelProperty(value="分组id")
    private String logicalGroupingId;

    /**
     * 对象id
     */
    @ApiModelProperty(value="对象id")
    private String objId;

    private static final long serialVersionUID = 1L;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}