package com.persagy.dmp.dto.logicalGrouping;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 逻辑对象列表展示对象(合并了逻辑对象与逻辑编组的关系)
 *
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/12 14:38
 */
@Data
public class LogicalObjectTabularDTO {

    /**
     * 集团编码
     */
    @ApiModelProperty(value = "集团编码")
    private String groupCode;

    /**
     * 项目Id
     */
    @ApiModelProperty(value = "项目Id")
    private String projectId;

    /**
     * 对象id
     */
    @ApiModelProperty(value = "对象id")
    private String objId;

    /**
     * 逻辑对象与逻辑编组的关系
     */
    @ApiModelProperty(value = "逻辑对象与逻辑编组的关系")
    private List<LogicalObjectTabularRelationDTO> relations;

    /**
     * 对象类型（building、equipment、component、floor、shaft、space、system）
     */
    @ApiModelProperty(value = "对象类型（building、equipment、component、floor、shaft、space、system）")
    private String objType;

    /**
     * 对象名称
     */
    @ApiModelProperty(value = "对象名称")
    private String objName;

    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @ApiModelProperty(value = "创建时间:时间格式为yyyyMMddHHmmss")
    private Date createTime;

    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @ApiModelProperty(value = "更新时间:时间格式为yyyyMMddHHmmss")
    private Date updateTime;

    /**
     * 本地id
     */
    @ApiModelProperty(value = "对象本地id")
    private String localId;
    /**
     * 楼层id
     */
    @ApiModelProperty(value = "楼层id")
    private String floorId;

    /**
     * 楼层名称
     */
    @ApiModelProperty(value = "楼层名称")
    private String floorName;

    /**
     * 楼层序列号
     */
    @ApiModelProperty(value = "楼层序列号")
    private Integer floorSequenceId;

    /**
     * 空间id
     */
    @ApiModelProperty(value = "空间id")
    private String spaceId;

    /**
     * 空间名称
     */
    @ApiModelProperty(value = "空间名称")
    private String spaceName;

    /**
     * 建筑id
     */
    @ApiModelProperty(value = "建筑id")
    private String buildId;

    /**
     * 建筑名称
     */
    @ApiModelProperty(value = "建筑名称")
    private String buildName;

    /**
     * 照明位置
     */
    @ApiModelProperty(value = "照明位置")
    private String location;

    /**
     * 所属模块ID
     */
    @ApiModelProperty(value = "所属模块ID")
    private String modularId;

    /**
     * 所属模块名称
     */
    @ApiModelProperty(value = "所属模块名称")
    private String modularName;

    /**
     * 所属配电箱ID
     */
    @ApiModelProperty(value = "所属配电箱ID")
    private String powerBoxId;

    /**
     * 所属配电箱名称
     */
    @ApiModelProperty(value = "所属配电箱名称")
    private String powerBoxName;

    /**
     * 所属电井ID
     */
    @ApiModelProperty(value = "所属电井ID")
    private String powerWellsId;

    /**
     * 所属电井名称
     */
    @ApiModelProperty(value = "所属电井名称")
    private String powerWellsName;

}
