package com.persagy.dmp.dto.relation;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 关系对象参数
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/22 10:13
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class RelationCriteriaObject implements Serializable {

    private static final long serialVersionUID = -7035283803586127904L;

    /**
     * 图类型编码
     */
    private String graphCode;

    /**
     * 图类型Id
     * 图类型编码和图实例id传入一个即可,graphId优先级高,如果传入graphId则忽略graphCode,
     * 如果传入graphCode未传入graphId,则默认取响应图类型的第一个图实例(按图实例id排序)
     */
    private String graphId;

    /**
     * 边类型编码
     */
    private String relCode;

    /**
     * objFrom
     */
    private List<String> objFrom;

    /**
     * objTo
     */
    private List<String> objTo;

    /**
     * 对象查询条件
     */
    private JSONObject objectCriteria;
}
