package com.persagy.dmp.entity;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;

import java.util.Date;

/**
 * @description: 消防报警
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/4/19 16:44
 * @version: V1.0
 **/
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "fire_alarm", autoResultMap = true)
public class FireAlarm {

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键，自增")
    private String alarmId;

    @ApiModelProperty(value = "项目ID")
    private String projectId;

    @ApiModelProperty(value = "集团编码")
    private String groupCode;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "设备类型")
    private String equipType;

    @ApiModelProperty(value = "报警时间")
    private Date alarmTime;

    @ApiModelProperty(value = "恢复时间")
    private Date recoverTime;

    @ApiModelProperty(value = "状态；1：报警；2：已恢复")
    private Integer status;

    @ApiModelProperty(value = "报警信息")
    @TableField(jdbcType = JdbcType.VARCHAR, typeHandler = FastjsonTypeHandler.class)
    private JSONObject alarmInfo;

    @ApiModelProperty(value = "恢复消息")
    @TableField(jdbcType = JdbcType.VARCHAR, typeHandler = FastjsonTypeHandler.class)
    private JSONObject recoverInfo;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间:时间格式为yyyyMMddHHmmss")
    private Date createTime;

    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间:时间格式为yyyyMMddHHmmss")
    private Date updateTime;
}
