package com.persagy.dmp.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @description: 集团-项目关联表
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/14 17:25
 * @version: V1.0
 **/
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("group_project_rel")
@ApiModel(value = "集团-项目关联表")
public class GroupProjectRel {

    @TableId
    @ApiModelProperty(value = "主键，自增")
    private Long id;

    @ApiModelProperty(value = "项目ID")
    private String projectId;

    @ApiModelProperty(value = "集团编码")
    private String groupCode;

    @ApiModelProperty(value = "备注")
    private String remark;
}
