package com.persagy.dmp.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * {@link LogicalObjectEquip}缓存状态
 *
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/13 10:57
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("logical_object_equip_cached")
public class LogicalObjectEquipCached {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 集团编码
     */
    @TableField(value = "group_code")
    private String groupCode;

    /**
     * 项目Id
     */
    @TableField(value = "project_id")
    private String projectId;

    /**
     * 场景码code
     */
    @TableField(value = "ibms_scene_code")
    private String ibmsSceneCode;

    /**
     * 中控对象类code
     */
    @TableField(value = "ibms_class_code")
    private String ibmsClassCode;

    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
