package com.persagy.dmp.entity;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;

import java.io.Serializable;
import java.util.Date;

/**
 * 模块-功能-对象分类信息表(conf_object_class_map)实体类
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "conf_object_class_map", autoResultMap = true)
public class ObjectClassConfig extends Model<ObjectClassConfig> implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_FUNCTION_ID = "function_id";
    public static final String COL_CODE = "code";
    public static final String COL_DIC_CODE = "dic_code";
    public static final String COL_PARENT_CODE = "parent_code";
    public static final String COL_SEQUENCE = "sequence";
    public static final String COL_NAME = "name";
    public static final String COL_NAME_BIRTH = "name_birth";
    public static final String COL_ITEM_DATA = "item_data";
    public static final String COL_ARRAY_DATA = "array_data";
    public static final String COL_REMARK = "remark";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_TIME = "update_time";
    public static final String COL_VALID = "valid";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键id")
    private String id;
    /**
     * 模块-功能-对象类映射记录id
     */
    @TableField(value = "function_id")
    @ApiModelProperty(value = "模块-功能-对象类映射记录id")
    private String functionId;
    /**
     * 编码
     */
    @TableField(value = "code")
    @ApiModelProperty(value = "编码")
    private String code;
    /**
     * 初始编码
     */
    @TableField(value = "dic_code")
    @ApiModelProperty(value = "数据字典类型编码")
    private String dicCode;
    /**
     * 父级编码
     */
    @TableField(value = "parent_code")
    @ApiModelProperty(value = "父级编码")
    private String parentCode;
    /**
     * 名称
     */
    @TableField(value = "name")
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 初始名称
     */
    @TableField(value = "name_birth")
    @ApiModelProperty(value = "初始名称")
    private String nameBirth;
    /**
     * 编码
     */
    @TableField(value = "sequence")
    @ApiModelProperty(value = "编码顺序")
    private Integer sequence;
    /**
     * json对象数据
     */
    @TableField(value = "item_data", jdbcType = JdbcType.VARCHAR, typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty(value = "json对象数据")
    private JSONObject itemData;
    /**
     * json对象数据
     */
    @TableField(value = "item_filter_data", jdbcType = JdbcType.VARCHAR, typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty(value = "json对象数据")
    private JSONObject itemFilterData;
    /**
     * json数组数据
     */
    @TableField(value = "array_data", jdbcType = JdbcType.VARCHAR, typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty(value = "json数组数据")
    private JSONArray arrayData;
    /**
     * 描述
     */
    @TableField(value = "remark")
    @ApiModelProperty(value = "描述")
    private String remark;
    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间:时间格式为yyyyMMddHHmmss")
    private Date createTime;
    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间:时间格式为yyyyMMddHHmmss")
    private Date updateTime;
    /**
     * 有效状态(1-有效；0-无效)
     */
    @TableLogic
    @TableField(value = "valid", select = false)
    @ApiModelProperty(value = "有效状态(1-有效；0-无效)")
    private Integer valid;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}