package com.persagy.dmp.entity;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;

import java.io.Serializable;
import java.util.Date;

/**
 * 模块-功能定义表(conf_module_function)实体类
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "conf_module_function", autoResultMap = true)
public class ObjectClassFuncRel extends Model<ObjectClassFuncRel> implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_GROUP_CODE = "group_code";
    public static final String COL_PROJECT_ID = "project_id";
    public static final String COL_MODULE_CODE = "module_code";
    public static final String COL_FUNCTION_CODE = "function_code";
    public static final String COL_CODE = "code";
    public static final String COL_PARENT_CODE = "parent_code";
    public static final String COL_SEQUENCE = "sequence";
    public static final String COL_NAME = "name";
    public static final String COL_ITEM_DATA = "item_data";
    public static final String COL_ARRAY_DATA = "array_data";
    public static final String COL_REMARK = "remark";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_TIME = "update_time";
    public static final String COL_VALID = "valid";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键id")
    private String id;
    /**
     * 集团编码
     */
    @TableField(value = "group_code")
    @ApiModelProperty(value = "集团编码")
    private String groupCode;
    /**
     * 项目Id
     */
    @TableField(value = "project_id")
    @ApiModelProperty(value = "项目Id")
    private String projectId;
    /**
     * 模块编码
     */
    @TableField(value = "module_code")
    @ApiModelProperty(value = "模块编码")
    private String moduleCode;
    /**
     * 功能项编码
     */
    @TableField(value = "function_code")
    @ApiModelProperty(value = "功能项编码")
    private String functionCode;
    /**
     * 编码
     */
    @TableField(value = "code")
    @ApiModelProperty(value = "编码")
    private String code;
    /**
     * 父级编码
     */
    @TableField(value = "parent_code")
    @ApiModelProperty(value = "父级编码")
    private String parentCode;
    /**
     * 名称
     */
    @TableField(value = "name")
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 编码
     */
    @TableField(value = "sequence")
    @ApiModelProperty(value = "编码顺序")
    private Integer sequence;
    /**
     * json对象数据
     */
    @TableField(value = "item_data", jdbcType = JdbcType.VARCHAR, typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty(value = "json对象数据")
    private JSONObject itemData;
    /**
     * json数组数据
     */
    @TableField(value = "array_data", jdbcType = JdbcType.VARCHAR, typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty(value = "json数组数据")
    private JSONArray arrayData;
    /**
     * 描述
     */
    @TableField(value = "remark")
    @ApiModelProperty(value = "描述")
    private String remark;
    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间:时间格式为yyyyMMddHHmmss")
    private Date createTime;
    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间:时间格式为yyyyMMddHHmmss")
    private Date updateTime;
    /**
     * 有效状态(1-有效；0-无效)
     */
    @TableLogic
    @TableField(value = "valid", select = false)
    @ApiModelProperty(value = "有效状态(1-有效；0-无效)")
    private Integer valid;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}