package com.persagy.dmp.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 对象分组(conf_object_group)实体类
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "conf_object_group", autoResultMap = true)
public class ObjectGroupConfig extends Model<ObjectGroupConfig> implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_CLASS_CONFIG_ID = "class_config_id";
    public static final String COL_SEQUENCE = "sequence";
    public static final String COL_NAME = "name";
    public static final String COL_REMARK = "remark";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_TIME = "update_time";
    public static final String COL_VALID = "valid";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键id")
    private String id;
    /**
     * 对象类分类信息id
     */
    @TableField(value = "class_config_id")
    @ApiModelProperty(value = "对象类分类信息id")
    private String classConfigId;
    /**
     * 名称
     */
    @TableField(value = "name")
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 编码
     */
    @TableField(value = "sequence")
    @ApiModelProperty(value = "编码顺序")
    private Integer sequence;
    /**
     * 描述
     */
    @TableField(value = "remark")
    @ApiModelProperty(value = "描述")
    private String remark;
    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间:时间格式为yyyyMMddHHmmss")
    private Date createTime;
    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间:时间格式为yyyyMMddHHmmss")
    private Date updateTime;
    /**
     * 有效状态(1-有效；0-无效)
     */
    @TableLogic
    @TableField(value = "valid", select = false)
    @ApiModelProperty(value = "有效状态(1-有效；0-无效)")
    private Integer valid;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}