package com.persagy.dmp.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 对象分组与对象实例关系(conf_object_group_rel)实体类
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "conf_object_group_rel", autoResultMap = true)
public class ObjectGroupRelConfig extends Model<ObjectGroupRelConfig> implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_GROUP_ID = "group_id";
    public static final String COL_OBJECT_ID = "object_id";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_TIME = "update_time";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键id")
    private String id;
    /**
     * 对象类分类信息id
     */
    @TableField(value = "group_id")
    @ApiModelProperty(value = "对象分组id")
    private String groupId;
    /**
     * 对象实例id
     */
    @TableField(value = "object_id")
    @ApiModelProperty(value = "对象实例id")
    private String objectId;
    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间:时间格式为yyyyMMddHHmmss")
    private Date createTime;
    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间:时间格式为yyyyMMddHHmmss")
    private Date updateTime;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}