package com.persagy.dmp.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @description: 对象表号-功能号表
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/15 17:48
 * @version: V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName(value = "object_meter_function", autoResultMap = true)
public class ObjectMeterFunction extends Model<ObjectMeterFunction>  implements Serializable {

    private static final long serialVersionUID = 1088508776113115151L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 集团编码
     */
    private String groupCode;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 对象id
     */
    private String objId;

    /**
     * 信息点编码
     */
    private String infoCode;

    /**
     * 仪表号
     */
    private String meter;

    /**
     * 功能号
     */
    private Long function;

    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(fill = FieldFill.INSERT)
    @JSONField(format = "yyyyMMddHHmmss")
    private Date createTime;

    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JSONField(format = "yyyyMMddHHmmss")
    private Date updateTime;
}
