package com.persagy.dmp.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.persagy.dmp.dto.DeptJobId;
import com.persagy.dmp.typeHandler.DeptJobIdTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 业务日志表（业务操作记录）(operation_log)实体类
 *
 * @author luoguangyi
 * @description 由 Mybatisplus Code Generator 创建
 * @since 2020-12-03 15:18:07
 */
@ApiModel(value = "com-persagy-domain-OperationLog")
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@TableName(value = "operation_log", autoResultMap = true)
@AllArgsConstructor
public class OperationLog extends Model<OperationLog> implements Serializable {
    public static final String COL_LOG_ID = "log_id";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_TIME = "update_time";
    public static final String COL_VALID = "valid";
    public static final String COL_FUNCTION_TYPE = "function_type";
    public static final String COL_FUNCTION_NAME = "function_name";
    public static final String COL_SYSTEM_CODE = "system_code";
    public static final String COL_CLASS_CODE = "class_code";
    public static final String COL_OBJ_ID = "obj_id";
    public static final String COL_OBJ_NAME = "obj_name";
    public static final String COL_OBJ_TYPE = "obj_type";
    public static final String COL_OPERATE_TYPE = "operate_type";
    public static final String COL_USER_ID = "user_id";
    public static final String COL_USER_NAME = "user_name";
    public static final String COL_OBJS = "objs";
    public static final String COL_OPERATE_DETAIL = "operate_detail";
    public static final String COL_IP_ADDRESS = "ip_address";
    public static final String COL_SOURCE_TYPE = "source_type";
    public static final String COL_ASSOCIATED_ID = "associated_id";
    public static final String COL_PROJECT_ID = "project_id";
    public static final String COL_GROUP_CODE = "group_code";
    public static final String COL_DEPT_JOB_IDS = "dept_job_ids";
    public static final String IBMS_SCENE_CODE = "ibms_scene_code";
    public static final String MODULE_NAME = "module_name";
    private static final long serialVersionUID = 1L;
    /**
     * 日志记录ID
     */
    @TableId(value = "log_id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "日志记录ID")
    private String logId;
    /**
     * 创建时间:时间格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间:时间格式为yyyyMMddHHmmss")
    private Date createTime;
    /**
     * 更新时间:时间格式为yyyyMMddHHmmss
     */
    @ApiModelProperty(value = "更新时间:时间格式为yyyyMMddHHmmss")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 有效状态(1-有效；0-无效)
     */
    @TableLogic
    @TableField(value = "valid", select = false)
    @ApiModelProperty(value = "有效状态(1-有效；0-无效)")
    private Integer valid;
    /**
     * 集团编码
     */
    @TableField(value = "group_code")
    @ApiModelProperty(value = "集团编码")
    private String groupCode;
    /**
     * 项目ID
     */
    @ApiModelProperty(value = "项目ID")
    @TableField(value = "project_id")
    private String projectId;
    /**
     * 所属业务模块类型
     */
    @TableField(value = "function_type")
    @ApiModelProperty(value = "所属业务模块类型")
    private String functionType;
    /**
     * 所属业务模块名称（系统登录，用户管理，维修信息，系统日历，模式管理，天气信息，基本信息，交接班）
     */
    @TableField(value = "function_name")
    @ApiModelProperty(value = "所属业务模块名称（系统登录，用户管理，维修信息，系统日历，模式管理，天气信息，基本信息，交接班）")
    private String functionName;
    /**
     * 系统编码
     */
    @TableField(value = "system_code")
    @ApiModelProperty(value = "系统编码")
    private String systemCode;
    /**
     * 系统名称
     */
    @ApiModelProperty(value = "系统编码")
    @TableField(value = "system_name")
    private String systemName;
    /**
     * 对象类
     */
    @TableField(value = "class_code")
    @ApiModelProperty(value = "对象类")
    private String classCode;
    /**
     * 对象ID
     */
    @TableField(value = "obj_id")
    @ApiModelProperty(value = "对象ID")
    private String objId;
    /**
     * 对象名称
     */
    @TableField(value = "obj_name")
    @ApiModelProperty(value = "对象名称")
    private String objName;
    /**
     * 对象编码
     */
    @ApiModelProperty(value = "对象编码")
    @TableField(value = "local_id")
    private String localId;
    /**
     * 对象类型
     */
    @TableField(value = "obj_type")
    @ApiModelProperty(value = "对象类型")
    private String objType;
    /**
     * 操作类型
     */
    @TableField(value = "operate_type")
    @ApiModelProperty(value = "操作类型")
    private String operateType;
    /**
     * 操作人
     */
    @TableField(value = "user_id")
    @ApiModelProperty(value = "操作人")
    private String userId;
    /**
     * 操作人名称
     */
    @TableField(value = "user_name")
    @ApiModelProperty(value = "操作人名称")
    private String userName;
    /**
     * 人员部门岗位
     */
    @ApiModelProperty(value = "人员部门岗位")
    @TableField(value = "dept_job_ids", jdbcType = JdbcType.VARCHAR, typeHandler = DeptJobIdTypeHandler.class)
    private List<DeptJobId> deptJobIds;
    /**
     * 对象数组
     */
    @TableField(value = "objs")
    @ApiModelProperty(value = "对象数组")
    private String objs;
    /**
     * 操作详情
     */
    @TableField(value = "operate_detail")
    @ApiModelProperty(value = "操作详情")
    private String operateDetail;
    /**
     * 操作IP地址
     */
    @TableField(value = "ip_address")
    @ApiModelProperty(value = "操作IP地址")
    private String ipAddress;
    /**
     * 操作来源类型 1-用户操作日志 2-系统运行日志
     */
    @TableField(value = "source_type")
    @ApiModelProperty(value = "操作来源类型 1-用户操作日志 2-系统运行日志")
    private Integer sourceType;
    /**
     * 关联模块的记录主键
     */
    @TableField(value = "associated_id")
    @ApiModelProperty(value = "关联模块的记录主键")
    private String associatedId;
    /**
     * 关联模块的记录主键
     */
    @TableField(value = "role_name")
    @ApiModelProperty(value = "角色")
    private String roleName;
    /**
     * 产品模块编码
     */
    @TableField(value = "ibms_scene_code")
    @ApiModelProperty(value = "产品模块编码")
    private String ibmsSceneCode;
    /**
     * 产品模块名称
     */
    @TableField(value = "module_name")
    @ApiModelProperty(value = "产品模块名称")
    private String moduleName;

}