package com.persagy.dmp.enumeration;

/**
 * @description: 数据字典信息点data_type枚举
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/1 16:50
 * @version: V1.0
 **/
public enum EnumDataType {
    // 数据类型	类型名称	信息点分类	是否复数	是否区间	数据源	格式
    INTEGER,//	整数	静态/脉冲/时序/阶段	true/false	true/false	{$gt:10, $lt:50}	无
    DOUBLE,//	浮点型	静态/脉冲/时序/阶段	true/false	true/false	{$gte:10.1, $lt:50.9}	无
    BOOLEAN,//	布尔值	静态/脉冲/时序/阶段	true/false	false	[0, 1]	无
    STRING,//	字符串	静态/脉冲/时序/阶段	true/false	false	(字符串长度区间){$gt:10, $lt:50}	无
    DATETIME,//	日期时间	静态/脉冲/时序/阶段	true/false	true/false	{'$gt':'0915', '$lt':'1031'}	'MMdd'
    ENUM,//	单选枚举	静态/脉冲/时序/阶段	true/false	false	应用数据标准化中定义的数据类型	无
    MENUM,//	多选枚举	静态/脉冲/时序/阶段	true/false	false	应用数据标准化中定义的数据类型	无
    ATTACHMENT,//	附件	静态	true/false	false		pdf
    OBJECT  //	对象
}
