package com.persagy.dmp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.dmp.entity.LogicalObjectEquipCached;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/13 10:57
 */
@Mapper
public interface LogicalObjectEquipCachedMapper extends BaseMapper<LogicalObjectEquipCached> {

    /**
     * 查询未加载的缓存对象
     *
     * @param groupCode     分组Code
     * @param projectId     项目ID
     * @param ibmsSceneCode 场景码code
     * @param ibmsClassCode 中控对象类code
     * @return {@link LogicalObjectEquipCached}
     */
    List<LogicalObjectEquipCached> listUnloadEquipCached(
            @Param("groupCode") String groupCode, @Param("projectId") String projectId,
            @Param("ibmsSceneCode") String ibmsSceneCode, @Param("ibmsClassCode") String ibmsClassCode);

}