package com.persagy.dmp.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.Set;

/**
 * 覆盖绑定逻辑编组对象参数
 *
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/18 11:01
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CoverBindLogicalObjectsRequest {

    /**
     * 集团编码
     */
    @NotBlank
    @ApiModelProperty(value = "集团编码", required = true)
    private String groupCode;

    /**
     * 项目Id
     */
    @NotBlank
    @ApiModelProperty(value = "项目Id", required = true)
    private String projectId;

    /**
     * 产品模块编码
     */
    @NotBlank
    @ApiModelProperty(value = "产品模块编码", required = true)
    private String ibmsSceneCode;

    /**
     * 管理对象类型编码
     */
    @NotBlank
    @ApiModelProperty(value = "管理对象类型编码", required = true)
    private String ibmsClassCode;

    /**
     * 逻辑编组ID列表
     */
    @ApiModelProperty("逻辑编组ID列表")
    private Set<String> logicalGroupingIds;

    /**
     * 对象ID列表
     */
    @NotEmpty
    @ApiModelProperty(value = "对象ID列表", required = true)
    private Set<String> objIds;

}
