package com.persagy.dmp.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/27 13:49
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ListLogicalObjectRequest {

    /**
     * 集团编码
     */
    @NotBlank
    @ApiModelProperty(value = "集团编码", required = true)
    private String groupCode;

    /**
     * 项目Id
     */
    @NotBlank
    @ApiModelProperty(value = "项目Id", required = true)
    private String projectId;

    /**
     * 产品模块编码
     */
    @ApiModelProperty(value = "产品模块编码")
    private String ibmsSceneCode;

    /**
     * 管理对象类型编码
     */
    @ApiModelProperty(value = "管理对象类型编码")
    private String ibmsClassCode;

    /**
     * 楼层id
     */
    @ApiModelProperty(value = "楼层id")
    private String floorId;

    /**
     * 分组id
     */
    @ApiModelProperty(value = "分组id")
    private String logicalGroupingId;

    /**
     * 父分组id
     */
    @ApiModelProperty(value = "父分组id")
    private String parentLogicalGroupingId;

    /**
     * 编组id集合
     */
    @ApiModelProperty(value = "编组id集合")
    private List<String> logicalGroupingIds;

    /**
     * 对象ID
     */
    @ApiModelProperty(value = "对象ID")
    private String objId;

    /**
     * 关键字
     */
    @ApiModelProperty(value="关键字")
    private String keyWord;

}
