package com.persagy.dmp.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 逻辑分组查询参数
 *
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/18 10:18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogicalGroupingListRequest {

    /**
     * 集团编码
     */
    @NotBlank
    @ApiModelProperty(value = "集团编码", required = true)
    private String groupCode;

    /**
     * 项目Id
     */
    @NotBlank
    @ApiModelProperty(value = "项目Id", required = true)
    private String projectId;

    /**
     * 产品模块编码
     */
    @NotBlank
    @ApiModelProperty(value = "产品模块编码", required = true)
    private String ibmsSceneCode;

    /**
     * 管理对象类型编码
     */
    @NotBlank
    @ApiModelProperty(value = "管理对象类型编码", required = true)
    private String ibmsClassCode;

    /**
     * 逻辑编组父ID, 查询根节点传0
     */
    @Builder.Default
    @ApiModelProperty("逻辑编组父ID, 默认: 0")
    private String parentLogicalGroupingId = "0";

}
