package com.persagy.dmp.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 照明逻辑对象下拉查询参数
 *
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/15 15:52
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogicalObjectLightingSelectsRequest {

    /**
     * 集团编码
     */
    @NotBlank
    @ApiModelProperty(value = "集团编码", required = true)
    private String groupCode;

    /**
     * 项目Id
     */
    @NotBlank
    @ApiModelProperty(value = "项目Id", required = true)
    private String projectId;

    /**
     * 产品模块编码
     */
    @NotBlank
    @ApiModelProperty(value = "产品模块编码", required = true)
    private String ibmsSceneCode;

    /**
     * 管理对象类型编码
     */
    @NotBlank
    @ApiModelProperty(value = "管理对象类型编码", required = true)
    private String ibmsClassCode;

    /**
     * 是否查询照明分组数据: true-是 false-否
     */
    @ApiModelProperty("是否查询照明分组数据: true-是 false-否")
    private boolean withLightingGroups;

}
