package com.persagy.dmp.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.Set;

/**
 * 解绑逻辑对象请求模型
 *
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/22 15:22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UnBindLogicalObjectsRequest {

    /**
     * 集团编码
     */
    @NotBlank
    @ApiModelProperty(value = "集团编码", required = true)
    private String groupCode;

    /**
     * 项目Id
     */
    @NotBlank
    @ApiModelProperty(value = "项目Id", required = true)
    private String projectId;

    /**
     * 产品模块编码
     */
    @NotBlank
    @ApiModelProperty(value = "产品模块编码", required = true)
    private String ibmsSceneCode;

    /**
     * 管理对象类型编码
     */
    @NotBlank
    @ApiModelProperty(value = "管理对象类型编码", required = true)
    private String ibmsClassCode;

    /**
     * 逻辑编组ID
     */
    @NotBlank
    @ApiModelProperty(value = "逻辑编组ID", required = true)
    private String logicalGroupingId;

    /**
     * 对象ID
     */
    @NotEmpty
    @ApiModelProperty(value = "对象ID", required = true)
    private Set<String> objIds;
}
