package com.persagy.dmp.service;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.dmp.dto.ClassInfo;

import java.util.List;
import java.util.Map;

/**
 * @description: 查询物理世界的类
 * @author: shiliqiang
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/11 15:06
 * @version: V1.0
 */

public interface ClassInfoService {

    /**
     * @param groupCode 集团编码
     * @param projectId 项目id
     * @param subFlag   :true/false, 是否按分类信息点展示子分类	可选,默认false
     * @param criteria  : 筛选条件：{"criteria":{"***":"***"} }
     * @description: 查询某项目下所有可实例化的类
     * @return: java.util.List<com.persagy.dmp.dto.ClassInfo>
     * @exception:
     * @author: shiliqiang
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/10/11 17:09
     * @version: V1.0
     */

    List<ClassInfo> queryClass(String groupCode, String projectId, Boolean subFlag, JacksonCriteria criteria) throws Exception;

    Map<String, String> querySystemCodeNameMap(String groupCode, String projectId) throws Exception;
}
