package com.persagy.dmp.service;

import com.persagy.dmp.dto.collect.BatchPointReportParam;
import com.persagy.dmp.dto.collect.BatchPointReportResult;
import com.persagy.dmp.dto.collect.PointReportParam;
import com.persagy.dmp.dto.collect.PointReportResult;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @description: 采集服务接口
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/18 18:21
 * @version: V1.0
 **/
public interface CollectService {

    /**
     * @description: 异步采集-读取点位
     * @param: pointReportParam
     * @return: com.persagy.dmp.dto.collect.PointReportResult
     * @exception:
     * @author: xingmaojun
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/12/18 20:23
     * @version: V1.0
     */
    PointReportResult pointRead(@RequestBody PointReportParam pointReportParam);

    /**
     * @description: 异步采集-批量读取点位
     * @param: pointReportParam
     * @return: com.persagy.dmp.dto.collect.BatchPointReportResult
     * @exception:
     * @author: xingmaojun
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/12/18 20:23
     * @version: V1.0
     */
    BatchPointReportResult pointReadBatch(@RequestBody BatchPointReportParam batchPointReportParam);

    /**
     * @description: 查询采集当前值
     * @param: pointReportParam
     * @return: com.persagy.dmp.dto.collect.PointReportResult
     * @exception:
     * @author: xingmaojun
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/12/18 20:23
     * @version: V1.0
     */
    PointReportResult presentReport(@RequestBody PointReportParam pointReportParam);

    /**
     * @description: 批量查询采集当前值
     * @param: pointReportParam
     * @return: com.persagy.dmp.dto.collect.BatchPointReportResult
     * @exception:
     * @author: xingmaojun
     * @company: Persagy Technology Co.,Ltd
     * @since: 2020/12/18 20:23
     * @version: V1.0
     */
    BatchPointReportResult presentReportBatch(@RequestBody BatchPointReportParam batchPointReportParam);
}
