package com.persagy.dmp.service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.dto.logicalGrouping.LogicalGroupingDTO;
import com.persagy.dmp.dto.logicalGrouping.LogicalObjectDTO;
import com.persagy.dmp.entity.LogicalGrouping;

public interface LogicalGroupingService extends IService<LogicalGrouping>{


    LogicalGrouping save(LogicalGroupingDTO logicalGroupingDTO) throws Exception;

    List<LogicalGrouping> updateBatchById(List<LogicalGroupingDTO> logicalGroupingDTOs) throws Exception;

    /**
     * update
     *
     * @param logicalGroupingDTO logicalGroupingDTO
     * @return {@link Boolean}
     * @author luogy
     * @since 2021/6/24 15:52
     */
    Boolean update(LogicalGroupingDTO logicalGroupingDTO) throws Exception;

    IPage<LogicalGroupingDTO> listLogicalGroupingDTO(LogicalGroupingDTO record) throws Exception;

    /**
     * 获取Id-name的map键值对
     *
     * @param record record
     * @return {@link HashMap < String, String>}
     * @author luogy
     * @since 2021/6/24 16:48
     */
    HashMap<String, String> queryLogicalGroupingIdNameMap(LogicalGroupingDTO record) throws Exception;

    List<String> selectChildByIdNotRecursive(String id);

    Collection<String> selectParentById(String id);

    LogicalGrouping getDetailById(String id);

    boolean removeBatchByIds(List<String> ids);

    List<LogicalGroupingDTO> listGroupingObject(LogicalGroupingDTO logicalGroupingDTO) throws Exception;

    Page<JSONObject> listPageNotGroupingObject(LogicalGroupingDTO logicalGroupingDTO) throws Exception;

    ArrayList<JSONObject> listlightingCircuit(LogicalGroupingDTO logicalGroupingDTO) throws Exception;
    /**逻辑编组回路详情展示*/
    Page<LogicalObjectDTO> listGroupLoopDetailsObject(LogicalGroupingDTO logicalGroupingDTO) throws Exception;

    /**照明，通过设备查询一级编组名称和二级编组名称*/
    Map<String,String> getFirstNameAndSecondName(String secondLogicalId);

    /**
     * 查询出一级逻辑编组和对应模式详情
     * 
     * @param groupCode
     * @param projectId
     * @param ibmsSceneCode
     * @param floorId
     * @return
     * @date 2022年4月19日 上午11:16:12
     */
    List<LogicalGrouping> queryFirstLogicalGroupingList(String groupCode, String projectId, String ibmsSceneCode, String firstLogicalGroupingId, String floorId) throws Exception;
    
}
