package com.persagy.dmp.service;

import com.persagy.dmp.request.DeleteLogicalGroupingRequest;
import com.persagy.dmp.request.LogicalGroupingListRequest;
import com.persagy.dmp.request.UpsertLogicalGroupingRequest;
import com.persagy.dmp.response.LogicalGroupingListResponse;

/**
 * @author : ZhangWenTao
 * @version : 1.0
 * @since : 2022/7/16 17:16
 */
public interface LogicalGroupingServiceV2 {

    /**
     * 根据条件查询逻辑分组数据
     *
     * @param request {@link LogicalGroupingListRequest}
     * @return {@link LogicalGroupingListResponse}
     */
    LogicalGroupingListResponse queryLogicalGroupingList(LogicalGroupingListRequest request);

    /**
     * 保存或更新逻辑编组
     *
     * @param request {@link UpsertLogicalGroupingRequest}
     */
    void upsertLogicalGrouping(UpsertLogicalGroupingRequest request);


    /**
     * 删除逻辑编组
     *
     * @param request {@link DeleteLogicalGroupingRequest}
     */
    void deleteLogicalGrouping(DeleteLogicalGroupingRequest request);

}
