package com.persagy.dmp.service;

import com.alibaba.fastjson.JSONArray;
import com.persagy.dmp.dto.InfoPointDictDTO;
import com.persagy.dmp.dto.objectclass.ModuleFuncObjClassDTO;
import com.persagy.dmp.entity.*;

import java.util.List;

public interface ObjectClassFuncRelService {
    /**
     * 获取模块功能对应的对象类配置
     *
     * @param param
     * @return 平铺结构数据
     * @throws Exception
     */
    List<ObjectClassConfig> queryObjClassConfigMap(ModuleFuncObjClassDTO param) throws Exception;

    /**
     * 获取模块配置根节点数据
     *
     * @param param
     * @return 平铺结构数据
     * @throws Exception
     */
    List<ObjectClassFuncRel> queryObjClassFuncMapRoot(ModuleFuncObjClassDTO param) throws Exception;

    /**
     * 获取某一自定义对象类配置的信息点定义
     *
     * @param param 属性functionCode和classCategory不能为空
     * @return
     * @throws Exception
     */
    List<InfoPointDictDTO> queryObjectDict(ModuleFuncObjClassDTO param) throws Exception;

    /**
     * 获取某一自定义对象类下面的对象实例
     *
     * @param param 属性functionCode和classCategory不能为空
     * @return
     * @throws Exception
     */
    JSONArray queryObjectInstanceOfCategory(ModuleFuncObjClassDTO param) throws Exception;

    /**
     * 根据对象类配置信息的id获取下面的设备黑名单记录
     *
     * @param classConfigId
     * @return
     * @throws Exception
     */
    List<ObjectClassConfigBlack> queryObjBlackOfClassConfig(String classConfigId) throws Exception;

    /**
     * 根据对象类配置信息的id获取对象分组列表
     *
     * @param classConfigId
     * @return
     * @throws Exception
     */
    List<ObjectGroupConfig> queryObjectGroupConfig(String classConfigId) throws Exception;

    /**
     * 根据分组id获取对象与分组关系数据列表
     *
     * @param groupId
     * @return
     * @throws Exception
     */
    List<ObjectGroupRelConfig> queryObjectGroupRelConfig(String groupId) throws Exception;
}
