package com.persagy.dmp.service.impl;

import com.persagy.dmp.dao.CollectDao;
import com.persagy.dmp.dto.collect.BatchPointReportParam;
import com.persagy.dmp.dto.collect.BatchPointReportResult;
import com.persagy.dmp.dto.collect.PointReportParam;
import com.persagy.dmp.dto.collect.PointReportResult;
import com.persagy.dmp.service.CollectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @description: 采集服务实现
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/18 18:22
 * @version: V1.0
 **/
@Service
public class CollectServiceImpl implements CollectService {

    @Autowired
    private CollectDao collectDao;

    @Override
    public PointReportResult pointRead(PointReportParam pointReportParam) {
        return collectDao.pointRead(pointReportParam);
    }

    @Override
    public BatchPointReportResult pointReadBatch(BatchPointReportParam batchPointReportParam) {
        return collectDao.pointReadBatch(batchPointReportParam);
    }

    @Override
    public PointReportResult presentReport(PointReportParam pointReportParam) {
        return collectDao.presentReport(pointReportParam);
    }

    @Override
    public BatchPointReportResult presentReportBatch(BatchPointReportParam batchPointReportParam) {
        return collectDao.presentReportBatch(batchPointReportParam);
    }
}
