package com.persagy.dmp.service.impl;

import com.persagy.dmp.dao.ControlDao;
import com.persagy.dmp.dto.control.BatchPointSetParam;
import com.persagy.dmp.dto.control.BatchPointSetResult;
import com.persagy.dmp.dto.control.PointSetParam;
import com.persagy.dmp.dto.control.PointSetResult;
import com.persagy.dmp.service.ControlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @description: 控制服务实现
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/12/18 18:22
 * @version: V1.0
 **/
@Service
public class ControlServiceImpl implements ControlService {

    @Autowired
    private ControlDao controlDao;

    @Override
    public PointSetResult pointSet(PointSetParam pointSetParam) {
        return controlDao.pointSet(pointSetParam);
    }

    @Override
    public BatchPointSetResult pointSetBatch(BatchPointSetParam batchPointSetParam) {
        return controlDao.pointSetBatch(batchPointSetParam);
    }

    @Override
    public PointSetResult syncPointSet(PointSetParam pointSetParam) {
        return controlDao.syncPointSet(pointSetParam);
    }

    @Override
    public BatchPointSetResult syncPointSetBatch(BatchPointSetParam batchPointSetParam) {
        return controlDao.syncPointSetBatch(batchPointSetParam);
    }

    @Override
    public BatchPointSetResult pointSetResultBatch(BatchPointSetParam batchPointSetParam) {
        return controlDao.pointSetResultBatch(batchPointSetParam);
    }

    @Override
    public PointSetResult presentSet(PointSetParam pointSetParam) {
        return controlDao.presentSet(pointSetParam);
    }

    @Override
    public BatchPointSetResult presentSetBatch(BatchPointSetParam batchPointSetParam) {
        return controlDao.presentSetBatch(batchPointSetParam);
    }
}
