package com.persagy.dmp.service.impl;


import com.persagy.dmp.dto.GeneralDictionaryDTO;
import com.persagy.dmp.service.GeneralDictionaryLVService;
import com.persagy.dmp.service.GeneralDictionaryService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;


/**
 * 通用数据字典表服务接口实现
 */
@Slf4j
@RequiredArgsConstructor
@Service
public class GeneralDictionaryServiceLVImpl implements GeneralDictionaryLVService {

    @Resource
    private GeneralDictionaryService generalDictionaryService;

    /**
     * @param record :
     * @description: 查询或者更新记录
     * 更新的时候必须更新传更新的额所有值
     * @author: LuoGuangyi
     * @createTime: 2021/01/26 16:19
     * @return: boolean
     * @expression
     */
    @Override
    public List<GeneralDictionaryDTO> saveOrUpdate(GeneralDictionaryDTO record) throws Exception {
        return generalDictionaryService.saveOrUpdate(record);
    }

    /**
     * @param record :
     * @description: 查询字段数据
     * 重复覆盖：项目级覆盖集团级覆盖平台级
     * @author: LuoGuangyi
     * @createTime: 2021/01/26 15:22
     * @return: java.util.List<com.persagy.dmp.entity.GeneralDictionary>
     * @expression
     */
    @Override
    public List<GeneralDictionaryDTO> listGeneralDictionary(GeneralDictionaryDTO record) throws Exception {
        System.out.println("-------------------LV---------------------");
        return generalDictionaryService.listGeneralDictionary(record);
    }

    /**
     * @param record:
     * @description: 获取code-name的map键值对
     * @author: LuoGuangyi
     * @createTime: 2021/02/01 14:53
     * @return: java.util.HashMap<java.lang.String, java.lang.String>
     * @expression
     */
    @Override
    public HashMap<String, String> queryGDCodeNameMap(GeneralDictionaryDTO record) throws Exception {
        return generalDictionaryService.queryGDCodeNameMap(record);
    }


    /**
     * @param record:删除内容
     * @description: 删除字段
     * @author: LuoGuangyi
     * @createTime: 2021/01/29 15:44
     * @return: void
     * @expression
     */
    @Override
    public void remove(GeneralDictionaryDTO record) throws Exception {
        generalDictionaryService.remove(record);
    }

}