package com.persagy.dmp.service.impl;

import com.persagy.dmp.dao.IOTDao;
import com.persagy.dmp.dto.DataQueryDTO;
import com.persagy.dmp.dto.HistoryDataDTO;
import com.persagy.dmp.service.HistoryDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description: 历史数据接口实现类
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/22 15:17
 * @version: V1.0
 **/
@Service
public class HistoryDataServiceImpl implements HistoryDataService {

    @Autowired
    private IOTDao iotDao;

    @Override
    public HistoryDataDTO queryHistoryDataList(String groupCode, String projectId, String objectId, String infoCode, String startTime, String endTime, String period) throws Exception {
        return iotDao.queryHistoryDataList(groupCode, projectId, objectId, infoCode, startTime, endTime, period);
    }

    @Override
    public List<HistoryDataDTO> queryHistoryDataList(String groupCode, String projectId, String objectId, List<String> infoCodeList, String startTime, String endTime, String period) throws Exception {
        return iotDao.queryHistoryDataList(groupCode, projectId, objectId, infoCodeList, startTime, endTime, period);
    }

    @Override
    public List<HistoryDataDTO> queryHistoryDataList(String groupCode, String projectId, List<String> objectIdList, String infoCode, String startTime, String endTime, String period) throws Exception {
        return iotDao.queryHistoryDataList(groupCode, projectId, objectIdList, infoCode, startTime, endTime, period);
    }

    @Override
    public List<HistoryDataDTO> queryHistoryDataList(String groupCode, String projectId, List<DataQueryDTO> dataQueryDTOList, String startTime, String endTime, String period) throws Exception {
        return iotDao.queryHistoryDataList(groupCode, projectId, dataQueryDTOList, startTime, endTime, period);
    }

}
