//package com.persagy.dmp.service.impl;
//
//import com.alibaba.fastjson.JSONArray;
//import com.alibaba.fastjson.JSONObject;
//import com.persagy.common.criteria.JacksonCriteria;
//import com.persagy.dmp.cache.MeterFuncCache;
//import com.persagy.dmp.common.PageResult;
//import com.persagy.dmp.dto.InfoPointDictDTO;
//import com.persagy.dmp.dto.MeterFuncIdDTO;
//import com.persagy.dmp.entity.GroupProjectRel;
//import com.persagy.dmp.service.DictService;
//import com.persagy.dmp.service.GroupProjectRelService;
//import com.persagy.dmp.service.MeterFuncIdService;
//import com.persagy.dmp.service.ObjectService;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//import org.springframework.util.CollectionUtils;
//import org.springframework.util.StringUtils;
//
//import java.util.ArrayList;
//import java.util.Arrays;
//import java.util.List;
//import java.util.Map;
//import java.util.concurrent.CompletableFuture;
//import java.util.stream.Collectors;
//
///**
// * @description: 表号功能号接口实现类
// * @author: xingmaojun
// * @company: Persagy Technology Co.,Ltd
// * @since: 2021/1/21 11:40
// * @version: V1.0
// **/
//@Service
//public class MeterFuncIdServiceImpl implements MeterFuncIdService {
//
//    @Autowired
//    private MeterFuncCache meterFuncCache;
//
//    @Autowired
//    private ObjectService objectService;
//
//    @Autowired
//    private DictService dictService;
//
//    @Autowired
//    private GroupProjectRelService groupProjectRelService;
//
//    private String[] split(String meterFuncId) {
//        int index = meterFuncId.lastIndexOf("-");
//        return new String[]{meterFuncId.substring(0, index), meterFuncId.substring(index + 1)};
//    }
//
//    @Override
//    public MeterFuncIdDTO getMeterFuncId(String groupCode, String projectId, String objectId, String infoCode) throws Exception {
//        List<MeterFuncIdDTO> meterFuncIdDTOList = this.getMeterFuncIdList(groupCode, projectId, Arrays.asList(objectId), infoCode);
//        if (!CollectionUtils.isEmpty(meterFuncIdDTOList)) {
//            return meterFuncIdDTOList.get(0);
//        }
//        return new MeterFuncIdDTO();
//    }
//
//    @Override
//    public List<MeterFuncIdDTO> getMeterFuncIdList(String groupCode, String projectId, List<String> objIds, String infoCode) throws Exception {
//        List<MeterFuncIdDTO> meterFuncIdDTOList = new ArrayList<>();
//
//        if (CollectionUtils.isEmpty(objIds) || StringUtils.isEmpty(infoCode)) {
//            return meterFuncIdDTOList;
//        }
//        //查询缓存
//        List<MeterFuncIdDTO> meterFuncIdDTOCacheList = meterFuncCache.getMeterFuncIdList(groupCode, projectId, objIds, infoCode);
//        if (!CollectionUtils.isEmpty(meterFuncIdDTOCacheList)) {
//            if (objIds.size() == meterFuncIdDTOCacheList.size()) {
//                return meterFuncIdDTOCacheList;
//            } else {
//                List<String> cacheObjIds = meterFuncIdDTOCacheList.stream().map(MeterFuncIdDTO::getObjectId).collect(Collectors.toList());
//                //取差集
//                objIds.removeAll(cacheObjIds);
//            }
//        }
//
//        //查询对象列表
//        JSONArray objArr = objectService.queryObjectList(groupCode, projectId, objIds);
//        if (!CollectionUtils.isEmpty(objArr)) {
//            for (Object obj : objArr) {
//                JSONObject objJson = (JSONObject) obj;
//                if (objJson.containsKey(infoCode)) {
//                    MeterFuncIdDTO meterFuncIdDTO = new MeterFuncIdDTO();
//                    meterFuncIdDTO.setProjectId(objJson.getString("projectId"));
//                    meterFuncIdDTO.setObjectId(objJson.getString("id"));
//                    String[] meterFuncId = split(objJson.getString(infoCode));
//                    meterFuncIdDTO.setInfoCode(infoCode);
//                    meterFuncIdDTO.setMeterId(meterFuncId[0]);
//                    meterFuncIdDTO.setFuncId(Integer.valueOf(meterFuncId[1]));
//                    meterFuncIdDTOList.add(meterFuncIdDTO);
//                }
//            }
//        }
//
//        //异步存入缓存
//        CompletableFuture.runAsync(() -> {
//            meterFuncCache.putMeterFuncId(groupCode, projectId, meterFuncIdDTOList);
//        });
//
//        if (!CollectionUtils.isEmpty(meterFuncIdDTOCacheList)) {
//            //缓存取到位置并入结果集
//            meterFuncIdDTOList.addAll(meterFuncIdDTOCacheList);
//        }
//
//        return meterFuncIdDTOList;
//    }
//
//    @Override
//    public List<MeterFuncIdDTO> getMeterFuncIdList(String groupCode, String projectId, String objId, List<String> infoCodes) throws Exception {
//        List<MeterFuncIdDTO> meterFuncIdDTOList = new ArrayList<>();
//
//        if (CollectionUtils.isEmpty(infoCodes) || StringUtils.isEmpty(objId)) {
//            return meterFuncIdDTOList;
//        }
//        //查询缓存
//        List<MeterFuncIdDTO> meterFuncIdDTOCacheList = meterFuncCache.getMeterFuncIdList(groupCode, projectId, objId, infoCodes);
//        if (!CollectionUtils.isEmpty(meterFuncIdDTOCacheList)) {
//            if (infoCodes.size() == meterFuncIdDTOCacheList.size()) {
//                return meterFuncIdDTOCacheList;
//            } else {
//                List<String> cacheInfoCodes = meterFuncIdDTOCacheList.stream().map(MeterFuncIdDTO::getInfoCode).collect(Collectors.toList());
//                //取差集
//                infoCodes.removeAll(cacheInfoCodes);
//            }
//        }
//
//        //查询对象详情
//        JSONObject objJson = objectService.queryObjectInfo(groupCode, projectId, objId);
//
//        for (String infoCode : infoCodes) {
//            if (objJson != null && objJson.containsKey(infoCode)) {
//                MeterFuncIdDTO meterFuncIdDTO = new MeterFuncIdDTO();
//                meterFuncIdDTO.setProjectId(objJson.getString("projectId"));
//                meterFuncIdDTO.setObjectId(objJson.getString("id"));
//                String[] meterFuncId = split(objJson.getString(infoCode));
//                meterFuncIdDTO.setInfoCode(infoCode);
//                meterFuncIdDTO.setMeterId(meterFuncId[0]);
//                meterFuncIdDTO.setFuncId(Integer.valueOf(meterFuncId[1]));
//                meterFuncIdDTOList.add(meterFuncIdDTO);
//            }
//        }
//
//        //异步存入缓存
//        CompletableFuture.runAsync(() -> {
//            meterFuncCache.putMeterFuncId(groupCode, projectId, meterFuncIdDTOList);
//        });
//
//        if (!CollectionUtils.isEmpty(meterFuncIdDTOCacheList)) {
//            //缓存取到位置并入结果集
//            meterFuncIdDTOList.addAll(meterFuncIdDTOCacheList);
//        }
//
//        return meterFuncIdDTOList;
//    }
//
//    @Override
//    public MeterFuncIdDTO queryMeterFuncId(String groupCode, String projectId, String meterId, Integer funcId) {
//        MeterFuncIdDTO meterFuncIdDTO = meterFuncCache.queryMeterFuncId(groupCode, projectId, meterId, funcId);
//        return meterFuncIdDTO;
//    }
//
//
//    // @Scheduled(initialDelay = 60 * 1000, fixedRate = 3600 * 1000)
//    public void refreshCache() {
//        List<GroupProjectRel> groupProjectRelList = groupProjectRelService.queryGroupProjectRel();
//        if (!CollectionUtils.isEmpty(groupProjectRelList)) {
//            for (GroupProjectRel groupProjectRel : groupProjectRelList) {
//                refreshCache(groupProjectRel.getGroupCode(), groupProjectRel.getProjectId());
//            }
//        }
//    }
//
//    private void refreshCache(String groupCode, String projectId) {
//        try {
//            JacksonCriteria criteria = JacksonCriteria.newInstance();
//            criteria.add("objType").in(Arrays.asList("equipment", "system"));
//            Integer page = 1;
//            criteria.setSize(500);
//            while (true) {
//                criteria.setPage(page);
//
//                PageResult<JSONArray> pageResult = objectService.queryObjectList(groupCode, projectId, criteria);
//                if (pageResult == null || CollectionUtils.isEmpty(pageResult.getData())) {
//                    return;
//                }
//                page += 1;
//
//                JSONArray objArr = pageResult.getData(JSONArray.class);
//                List<MeterFuncIdDTO> meterFuncIdDTOList = new ArrayList<>();
//                for (Object obj : objArr) {
//                    JSONObject objJson = (JSONObject) obj;
//                    String objId = objJson.getString("id");
//                    String classCode = objJson.getString("classCode");
//                    Map<String, InfoPointDictDTO> infoCode2DtoMap = dictService.queryInfoPointDictMap(groupCode, projectId, classCode);
//                    for (Map.Entry<String, Object> entry : objJson.entrySet()) {
//                        String infoCode = entry.getKey();
//                        if (infoCode2DtoMap == null || !infoCode2DtoMap.containsKey(infoCode)) {
//                            break;
//                        }
//                        InfoPointDictDTO infoPointDictDTO = infoCode2DtoMap.get(infoCode);
//                        if (!"STATIC".equals(infoPointDictDTO.getCategory())) {
//                            String value = (String) entry.getValue();
//                            if (StringUtils.isEmpty(value) || !value.contains("-")) {
//                                break;
//                            }
//                            String[] meterFuncId = split(value);
//                            if (meterFuncId.length != 2) {
//                                break;
//                            }
//                            MeterFuncIdDTO.MeterFuncIdDTOBuilder meterFuncIdDTOBuilder = MeterFuncIdDTO.builder();
//                            meterFuncIdDTOBuilder.projectId(projectId).objectId(objId).infoCode(infoCode);
//                            meterFuncIdDTOBuilder.meterId(meterFuncId[0]).funcId(Integer.valueOf(meterFuncId[1]));
//                            meterFuncIdDTOList.add(meterFuncIdDTOBuilder.build());
//                        }
//                    }
//                }
//                meterFuncCache.putMeterFuncId(groupCode, projectId, meterFuncIdDTOList);
//            }
//        } catch (Exception e) {
//            //e.printStackTrace();
//        }
//    }
//
//}
