package com.persagy.dmp.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.dao.InstanceDao;
import com.persagy.dmp.service.RelationObjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;

/**
 * @description: 关系对象接口实现类
 * @author: xingmaojun
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/22 15:17
 * @version: V1.0
 **/
@Service
public class RelationObjectServiceImpl implements RelationObjectService {

    @Autowired
    private InstanceDao instanceDao;

    @Override
    public JSONArray queryRelationObjectByFromId(String groupCode, String projectId, String graphCode, String relCode, String fromId, List<String> toClassCode, List<String> withColumns) throws Exception {
        return queryRelationObjectByFromIds(groupCode, projectId, graphCode, relCode, Arrays.asList(fromId), toClassCode, withColumns);
    }

    @Override
    public JSONArray queryRelationObjectByFromIds(String groupCode, String projectId, String graphCode, String relCode, List<String> fromIds, List<String> toClassCode, List<String> withColumns) throws Exception {
        return instanceDao.queryRelationObjectByFromIds(groupCode, projectId, graphCode, relCode, fromIds, toClassCode, withColumns);
    }

    @Override
    public JSONArray queryRelationObjectByToId(String groupCode, String projectId, String graphCode, String relCode, String toId) throws Exception {
    	return instanceDao.queryRelationObjectByToIds(groupCode, projectId, graphCode, relCode, null, Arrays.asList(toId), null);
    }
    
    @Override
    public JSONArray queryRelationObjectByToId(String groupCode, String projectId, String graphCode, String relCode, List<String> fromClassCode, String toId, List<String> withColumns) throws Exception {
        return queryRelationObjectByToIds(groupCode, projectId, graphCode, relCode, fromClassCode, Arrays.asList(toId), withColumns);
    }
    
    @Override
    public JSONArray queryRelationObjectByToId(String groupCode, String projectId, String graphCode, String relCode, String toId, String ibmsSceneCode, String ibmsClassCode) throws Exception {
        return instanceDao.queryRelationObjectByToId(groupCode, projectId, graphCode, relCode, toId, ibmsSceneCode, ibmsClassCode);
    }

    @Override
    public JSONArray queryRelationObjectByToIds(String groupCode, String projectId, String graphCode, String relCode, List<String> fromClassCode, List<String> toIds, List<String> withColumns) throws Exception {
        return instanceDao.queryRelationObjectByToIds(groupCode, projectId, graphCode, relCode, fromClassCode, toIds, withColumns);
    }

    @Override
    public JSONArray queryRelationObject(String groupCode, String projectId, String graphCode, String relCode, List<String> fromIds, List<String> toIds, JSONObject objectCriteria, List<String> withColumns) throws Exception {
        return instanceDao.queryRelationObject(groupCode, projectId, graphCode, relCode, fromIds, toIds, objectCriteria, withColumns);
    }
}
