package com.persagy.dmp.service.impl;

import com.persagy.dmp.dao.ZktModuleDao;
import com.persagy.dmp.entity.ZktModule;
import com.persagy.dmp.service.ZktModuleService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

import static org.apache.commons.lang3.math.NumberUtils.INTEGER_ONE;

/**
 * (ZktModule)表服务实现类
 *
 * @author well jay
 * @since 2021-06-24 15:12:14
 */
@Service
@RequiredArgsConstructor
public class ZktModuleServiceImpl implements ZktModuleService {

    final private ZktModuleDao zktModuleDao;

    @Override
    public List<ZktModule> queryMenu(String projectId, String groupCode) {

        return zktModuleDao.lambdaQuery()
                .eq(ZktModule::getValid, INTEGER_ONE)
                .eq(ZktModule::getProjectId, projectId)
                .eq(ZktModule::getGroupCode, groupCode)
                .list();
    }

    @Override
    public ZktModule getModule(String projectId, String groupCode, String ibmsSceneCode) {
        return zktModuleDao.lambdaQuery()
                .eq(ZktModule::getValid, INTEGER_ONE)
                .eq(ZktModule::getProjectId, projectId)
                .eq(ZktModule::getGroupCode, groupCode).eq(ZktModule::getIbmsSceneCode, ibmsSceneCode).one();
    }

}
