package com.persagy.dmp.utils;


import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * @description:
 * @author:LuoGuanhyi
 * @company:PersagyTechnologyCo.,Ltd
 * @since:2020/10/10 001021:23
 * @version:V1.0
 **/
public class BeanDtoVoUtils {
    /**
     * TODO  dot ,Do ,entity 相互转换
     * 同：BeanUtils.copyProperties(dtoEntity, newInstance);
     *
     * @param oldClass 原数据--Dto，Vo，entity
     * @param newClass 转换为--Dto，Vo，entity
     * @return
     */
    public static <E> E convert(Object oldClass, Class<E> newClass) {
        return BeanDtoVoConvert.convert(oldClass, newClass);
    }


    //TODO  Page<Entity> 分页对象转 Page<Vo>  ( list 循环)
    public static <T, V> IPage<V> pageVo(Page<T> page, Class<V> v) {
        return pageVo(page, v);
    }


    //TODO  Page<Entity> 分页对象转 Page<Vo> （Stream 方式）
    public static <T, V> Page<V> pageVoStream(Page<T> page, Class<V> v) {
        return BeanDtoVoConvert.pageVoStream(page, v);
    }


    //TODO  list<Entity> 集合对象转list<Vo> ( list 循环)
    public static <T, V> List<V> listVo(List<T> oldList, Class<V> v) {
        return BeanDtoVoConvert.listVo(oldList, v);
    }


    //TODO  list<Entity> 集合对象转list<Vo> （Stream 方式）
    public static <T, V> List<V> listVoStream(List<T> oldList, Class<V> v) {
        return BeanDtoVoConvert.listVoStream(oldList, v);
    }

    //TODO  Page<Entity> 分页对象转 Page<Vo>  ( list 循环)
    public static <T, V> IPage<V> pageVo(IPage<T> page, Class<V> v) {
        return page.convert(item -> BeanDtoVoConvert.convert(item, v));
    }

}
