package com.persagy.dmp.utils;

import cn.hutool.extra.spring.SpringUtil;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.client.AlarmNewServerClient;
import com.persagy.dmp.client.GroupServerClient;
import com.persagy.dmp.common.url.InstanceUrlParam;
import com.persagy.dmp.dto.ResponseContent;
import com.persagy.dmp.dto.alarm.ResultQueryVo;
import com.persagy.dmp.dto.logicalGrouping.LogicalGroupingDTO;
import com.persagy.dmp.dto.logicalGrouping.LogicalObjectDTO;

import java.util.List;

/**
 * 查询编组的util
 * @author wyz
 * @version 1.0
 * @date 2021/6/23 17:12
 */
public class GroupQueryUtil {

    private static final GroupServerClient groupServerClient = SpringUtil.getBean(GroupServerClient.class);


    public static List<LogicalObjectDTO> queryObjectList(LogicalObjectDTO logicalObjectDTO){

        ResponseContent<List<LogicalObjectDTO>> responseContent = groupServerClient.queryObjectClass(logicalObjectDTO);
        return responseContent.getContent();
    }

    public static List<LogicalGroupingDTO> listLogicalGroupingDTO(LogicalGroupingDTO logicalGroupingDTO){

        ResponseContent<List<LogicalGroupingDTO>> responseContent = groupServerClient.listLogicalGroupingDTO(logicalGroupingDTO);
        return responseContent.getContent();
    }

    public static List<LogicalGroupingDTO> listGroupingObject(LogicalGroupingDTO logicalGroupingDTO){

        ResponseContent<List<LogicalGroupingDTO>> responseContent = groupServerClient.listGroupingObject(logicalGroupingDTO);
        return responseContent.getContent();
    }

    public static List<JSONObject> listPageNotGroupingObject(LogicalGroupingDTO logicalGroupingDTO){

        ResponseContent<List<JSONObject>>  responseContent = groupServerClient.listPageNotGroupingObject(logicalGroupingDTO);
        return responseContent.getContent();
    }
}
