package com.persagy.zkt.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @description: 分页条件
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/13 3:23 下午
 * @version: V1.0
 **/
@Data
@ApiModel
public class PageDTO {
    @ApiModelProperty(value = "当前页数")
    @NotNull(message = "当前页数不能为空")
    private Integer page;

    @ApiModelProperty(value = "每页条数")
    @NotNull(message = "每页条数不能为空")
    private Integer size;

    @ApiModelProperty(value = "排序条件")
    private List<Sort> orders;
}

