package com.persagy.zkt.exception;


import com.persagy.zkt.enumeration.EnumResultCode;

/**
 * @author xingmaojun
 * @version V1.0
 * @ClassName CommonException
 * @Description:
 * @date 2020/6/4 18:16
 **/
public class CommonException extends RuntimeException {

    private static final long serialVersionUID = -238091758285157331L;

    private Integer errCode;

    private String errMsg;

    public CommonException() {
        super();
    }

    public CommonException(String message, Throwable cause) {
        super(message, cause);
    }

    public CommonException(String message) {
        super(message);
    }

    public CommonException(Throwable cause) {
        super(cause);
    }

    public CommonException(Integer errCode, String errMsg) {
        super(errCode + ":" + errMsg);
        this.errCode = errCode;
        this.errMsg = errMsg;
    }

    public CommonException(EnumResultCode resultCode) {
        this(resultCode.getCode(), resultCode.getMsg());
    }

    public Integer getErrCode() {
        return this.errCode;
    }

    public String getErrMsg() {
        return this.errMsg;
    }
}
