package com.persagy.zkt.utils;

import com.persagy.zkt.constant.ResultCodeConstant;
import com.persagy.zkt.exception.CommonException;
import org.apache.commons.lang3.StringUtils;
import org.springframework.lang.Nullable;
import org.springframework.util.CollectionUtils;

import java.util.Collection;
import java.util.Map;

/**
 * @description:
 * @author: fenghanchao
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/6/19 15:27
 * @version: V1.0
 **/
public class ParamValidatorUtil {

    public static void notNull(@Nullable Object object, String message) {
        if (object == null) {
            throw new CommonException(ResultCodeConstant.RCC_PARAMETER_IS_NULL, message);
        }
    }

    public static void stringNotBlank(@Nullable String str, String message) {
        if (StringUtils.isBlank(str)) {
            throw new CommonException(ResultCodeConstant.RCC_PARAMETER_IS_NULL, message);
        }
    }

    public static void notEmpty(@Nullable Collection<?> collection, String message) {
        if (CollectionUtils.isEmpty(collection)) {
            throw new CommonException(ResultCodeConstant.RCC_PARAMETER_IS_NULL, message);
        }
    }

    public static void notEmpty(@Nullable Map<?, ?> collection, String message) {
        if (CollectionUtils.isEmpty(collection)) {
            throw new CommonException(ResultCodeConstant.RCC_PARAMETER_IS_NULL, message);
        }
    }
}
